clear
set more off
set mem 500m

/*Generating 00_ETH_BASICINFO.dta*/

cd "C:\AFRCE\Ethiopia 2004"
use "02_CLEANDATA\HICES\demographic_con2004.dta", clear

des /*Initial number of observations is 99,229*/

*Individual level dataset*

*Generating REGION variable*
*-----------------------------
rename C1Q2 REGION
recode REGION (13=8) (14=9) (15=10)
label def REGION 1 "Tigray" 2 "Afar" 3 "Amhara" 4 "Oromiya" 5"Somale" 6 "Benishangul-Gumuz" 7 "S.N.N.P.R.G" 8 "Harari" 9 "Addis Ababa" 10 "Dire Dawa"
lab var REGION "Geographical Code"

*Generating RURURB variable* 
*-----------------------------
rename ur RURURB
lab def RURURB 1 "Rural" 2 "Urban"

*Generating HHSIZE_S (including maids and servants) variable*
*--------------------------------------------------------------
gen HHSIZE_S=C1Q10

*Generating HHSIZE(excluding maids and servants)variable*
*---------------------------------------------------------
bysort HID: egen HHSIZE=count(d1q16) if d1q15!=8

*Generating WTA_HH variable*
*-------------------------------
gen WTA_HH=WEIGHT

*Generating WTA_POP variable*
*-------------------------------
gen WTA_POP=WTA_HH*HHSIZE

collapse REGION RURURB HHSIZE HHSIZE_S WTA_POP WTA_HH, by (HID)

*Generating COUNTRY variable*
*-------------------------------
gen COUNTRY = "ETH"
lab var COUNTRY "country name"

*Generating SURVEYR variable* 
*-----------------------------
gen SURVEYR = 2004

label var HID "Household unique ID"

label val RURURB RURURB
label var RURURB "Area of residence"

label val SURVEYR SURVEYR
label var SURVEYR "Survey year"

label val HHSIZE_S HHSIZE_S
label var HHSIZE_S "Total number of residents including maids and servants"

label val HHSIZE HHSIZE
label var HHSIZE "Total number of residents excluding maids and servants"

lab val WTA_HH WTA_HH
lab var WTA_HH "Household weight"

lab val WTA_POP WTA_POP
lab var WTA_POP "Population weight"

order COUNTRY REGION HID SURVEYR RURURB HHSIZE HHSIZE_S WTA_HH WTA_POP

des  /*number of observations (households) is 21,595*/

sort HID
save "04_AGGDATA\00_ETH_BASICINFO", replace



