clear
set more off
set mem 500m

/*Generating 06_ETH_EXPHLTH.dta*/

cd "C:\AFRCE\Ethiopia 2004"
use "02_CLEANDATA\HICES\cons2004_ict.dta", clear

des  /*initial number of observations is 1,813,186*/

sort HID

codebook HID  /*21,595 households*/

/*NOTE: First thing to do in this dataset is to recode the UR variable to match the code of the same variable in the demographic_con2004 dataset*/
/*This allows for a successful merging of the datasets*/

recode UR 1=2 2=1
lab def UR 1"rural" 2 "urban", replace
lab val UR UR

tab UR
tab UR,nol

*Genenrating HLMEDI variable*
*------------------------------
gen HLMEDI=EXPEN if [CQ15>=50401 & CQ15<=50498] | [CQ15>=50705 & CQ15<=50798]

*Generating variable HLOUTP variable*
*-------------------------------------
gen HLOUTP=EXPEN if [CQ15>=50501 & CQ15<=50603] | [CQ15>=50605 & CQ15<=50703]

*Generating HOSP variable*
*--------------------------
gen HOSP=EXPEN if [CQ15==50604|CQ15==50704]

collapse (sum)HLMEDI HLOUTP HOSP, by (HID)

des /*Total # of observations is 21,595 (households)*/
*-----------------------------------------------------------------------------------------------------

*Merging variables from file 00_ETH_BASICINFO*
*----------------------------------------------
sort HID
merge HID using "04_AGGDATA\00_ETH_BASICINFO.dta", keep (RURURB)
tab _merge  /*_merge=3 (21,595 observations)*/
drop _merge

des /* 21,595 observations*/

*Annualizing the variables*
*---------------------------
*expenditure values are already annualized in the dataset*

*Generating TOTHLTH variable*
*-----------------------------
egen TOTHLTH =rowtotal(HLMEDI HLOUTP)

*Labeling the variables*
*---------------------------
lab val HLMEDI HLMEDI
label var HLMEDI "Expenditure on medical products, appliances and equipment"

lab val HLOUTP HLOUTP
label var HLOUTP "Expenditure on outpatient services"

lab val HOSP HOSP
label var HOSP "Expenditure on hospitalization"

lab val TOTHLTH TOTHLTH
label var TOTHLTH "Total expenditure on health"

order HID RURURB HLMEDI HLOUTP HOSP TOTHLTH

des /*number of observations is 21,595*/

sort HID

save "04_AGGDATA\06_ETH_EXPHLTH", replace
















