clear
set more off
set mem 500m

*Generating 11_ETH_EXPHOTL.dta*

cd "C:\AFRCE\Ethiopia 2004"
use "02_CLEANDATA\HICES\cons2004_ict.dta", clear

des  /*initial number of observations is 1,813,186*/

sort HID

codebook HID  /*21,595 households*/

/*NOTE: First thing to do in this dataset is to recode the UR variable to 
match the code of the same variable in the demographic_con2004 dataset.This allows
for a successful merging of the datasets*/

recode UR 1=2 2=1
lab def UR 1"rural" 2 "urban", replace
lab val UR UR

tab UR
tab UR,nol

*Generating HOTACC variable*
*-----------------------------
gen HOTACC=EXPEN if CQ15==90212

collapse(sum) HOTACC, by (HID)
*----------------------------------------------------------------------------

*Merging variable from file 00_ETH_BASICINFO*
*-------------------------------------------------
sort HID
merge HID using  04_AGGDATA\00_ETH_BASICINFO, keep (RURURB)
tab _merge  /*_merge=3 (21,595 observations)*/
drop _merge

*Generating HOTCAT variable*
*----------------------------
gen HOTCAT=. 

*Annualizing variables*
*-----------------------
*expenditure values are already annualized in the dataset*

*Generating TOTHOTL*
*--------------------
egen TOTHOTL=rowtotal (HOTCAT HOTACC)

*Labeling the variables*
*-------------------------
lab val HOTCAT HOTCAT
label var HOTCAT "Expenditure on catering services, including eating out"

lab val HOTACC HOTACC
label var HOTACC "Expenditure on accommodation services"

lab val TOTHOTL TOTHOTL
label var TOTHOTL "Total expenditure on restaurants and hotel"

order HID RURURB HOTCAT HOTACC TOTHOTL

des /*number of observations is 21,595 (households)*/

sort HID

save "04_AGGDATA\11_ETH_EXPHOTL", replace


