*Generating ETH_2004_CLEANDATA*
*--------------------------------
clear
set mem 200m
set more off

cd "C:\AFRCE\Ethiopia 2004"


*Generating HID varaible in all datasets in WMS*
*-------------------------------------------------
*FROM WMS*

use "01_RAWDATA\Wms_Hices_2004\Data\WMS\STATA\HIV-AIDS Condition.dta", clear
des /*36,302 observations*/
tostring w1q2, gen(w1q2_STR) format(%02.0f)
tostring w1q3, gen(w1q3_STR) format(%02.0f)
tostring w1q4, gen(w1q4_STR) format(%02.0f)
tostring w1q8, gen(w1q8_STR) format(%03.0f)
tostring w1q9, gen(w1q9_STR) format(%02.0f)
tostring w1q5, gen(w1q5_STR) format(%01.0f)
tostring w1q6, gen(w1q6_STR) format(%02.0f)
tostring w1q7, gen(w1q7_STR) format(%03.0f)
gen HID= w1q2_STR+w1q3_STR+w1q4_STR+w1q5_STR+w1q6_STR+w1q7_STR+w1q8_STR+w1q9_STR
codebook HID  /*36,302 households*/
sort HID
save "02_CLEANDATA\WMS\HIV-AIDS Condition.dta",replace


use "01_RAWDATA\Wms_Hices_2004\Data\WMS\STATA\Household Assests.dta", clear
des /*36,302 observations*/
tostring w1q2, gen(w1q2_STR) format(%02.0f)
tostring w1q3, gen(w1q3_STR) format(%02.0f)
tostring w1q4, gen(w1q4_STR) format(%02.0f)
tostring w1q8, gen(w1q8_STR) format(%03.0f)
tostring w1q9, gen(w1q9_STR) format(%02.0f)
tostring w1q5, gen(w1q5_STR) format(%01.0f)
tostring w1q6, gen(w1q6_STR) format(%02.0f)
tostring w1q7, gen(w1q7_STR) format(%03.0f)
gen HID= w1q2_STR+w1q3_STR+w1q4_STR+w1q5_STR+w1q6_STR+w1q7_STR+w1q8_STR+w1q9_STR
codebook HID  /*36,302 households*/
sort HID
save "02_CLEANDATA\WMS\Household Assests.dta",replace


use "01_RAWDATA\Wms_Hices_2004\Data\WMS\STATA\Household Other assets.dta", clear
des /*1,052,674 observations*/
tostring w1q2, gen(w1q2_STR) format(%02.0f)
tostring w1q3, gen(w1q3_STR) format(%02.0f)
tostring w1q4, gen(w1q4_STR) format(%02.0f)
tostring w1q8, gen(w1q8_STR) format(%03.0f)
tostring w1q9, gen(w1q9_STR) format(%02.0f)
tostring w1q5, gen(w1q5_STR) format(%01.0f)
tostring w1q6, gen(w1q6_STR) format(%02.0f)
tostring w1q7, gen(w1q7_STR) format(%03.0f)
gen HID= w1q2_STR+w1q3_STR+w1q4_STR+w1q5_STR+w1q6_STR+w1q7_STR+w1q8_STR+w1q9_STR
codebook HID  /*36,300 households*/
sort HID
save "02_CLEANDATA\WMS\Household Other assets.dta",replace


use "01_RAWDATA\Wms_Hices_2004\Data\WMS\STATA\Housing Ammenities.dta", clear
des /*36,302 observations*/
tostring w1q2, gen(w1q2_STR) format(%02.0f)
tostring w1q3, gen(w1q3_STR) format(%02.0f)
tostring w1q4, gen(w1q4_STR) format(%02.0f)
tostring w1q8, gen(w1q8_STR) format(%03.0f)
tostring w1q9, gen(w1q9_STR) format(%02.0f)
tostring w1q5, gen(w1q5_STR) format(%01.0f)
tostring w1q6, gen(w1q6_STR) format(%02.0f)
tostring w1q7, gen(w1q7_STR) format(%03.0f)
gen HID= w1q2_STR+w1q3_STR+w1q4_STR+w1q5_STR+w1q6_STR+w1q7_STR+w1q8_STR+w1q9_STR
codebook HID  /*36,302 households*/
sort HID
save "02_CLEANDATA\WMS\Housing Ammenities.dta",replace


use "01_RAWDATA\Wms_Hices_2004\Data\WMS\STATA\Indicator of Living Standards.dta", clear
des /* 36,302 observations*/
tostring w1q2, gen(w1q2_STR) format(%02.0f)
tostring w1q3, gen(w1q3_STR) format(%02.0f)
tostring w1q4, gen(w1q4_STR) format(%02.0f)
tostring w1q8, gen(w1q8_STR) format(%03.0f)
tostring w1q9, gen(w1q9_STR) format(%02.0f)
tostring w1q5, gen(w1q5_STR) format(%01.0f)
tostring w1q6, gen(w1q6_STR) format(%02.0f)
tostring w1q7, gen(w1q7_STR) format(%03.0f)
gen HID= w1q2_STR+w1q3_STR+w1q4_STR+w1q5_STR+w1q6_STR+w1q7_STR+w1q8_STR+w1q9_STR
codebook HID  /*36,302 households*/
sort HID
save "02_CLEANDATA\WMS\Indicator of Living Standards.dta",replace


use "01_RAWDATA\Wms_Hices_2004\Data\WMS\STATA\Member Characterstics and Child Nutrition.dta", clear
des /*170,726 observations*/
tostring w1q2, gen(w1q2_STR) format(%02.0f)
tostring w1q3, gen(w1q3_STR) format(%02.0f)
tostring w1q4, gen(w1q4_STR) format(%02.0f)
tostring w1q8, gen(w1q8_STR) format(%03.0f)
tostring w1q9, gen(w1q9_STR) format(%02.0f)
tostring w1q5, gen(w1q5_STR) format(%01.0f)
tostring w1q6, gen(w1q6_STR) format(%02.0f)
tostring w1q7, gen(w1q7_STR) format(%03.0f)
gen HID= w1q2_STR+w1q3_STR+w1q4_STR+w1q5_STR+w1q6_STR+w1q7_STR+w1q8_STR+w1q9_STR
codebook HID  /*36,302 households*/
sort HID
save "02_CLEANDATA\WMS\Member Characterstics and Child Nutrition.dta",replace


use "01_RAWDATA\Wms_Hices_2004\Data\WMS\STATA\Types of Facilities.dta", clear
des /* 907,550 observations*/
tostring w1q2, gen(w1q2_STR) format(%02.0f)
tostring w1q3, gen(w1q3_STR) format(%02.0f)
tostring w1q4, gen(w1q4_STR) format(%02.0f)
tostring w1q8, gen(w1q8_STR) format(%03.0f)
tostring w1q9, gen(w1q9_STR) format(%02.0f)
tostring w1q5, gen(w1q5_STR) format(%01.0f)
tostring w1q6, gen(w1q6_STR) format(%02.0f)
tostring w1q7, gen(w1q7_STR) format(%03.0f)
gen HID= w1q2_STR+w1q3_STR+w1q4_STR+w1q5_STR+w1q6_STR+w1q7_STR+w1q8_STR+w1q9_STR
codebook HID  /*36,302 households*/
sort HID
save "02_CLEANDATA\WMS\Types of Facilities.dta",replace

*FROM HICES*
clear

cd "C:\AFRCE\Ethiopia 2004"

set mem 500m

use "01_RAWDATA\Wms_Hices_2004\Data\HICES\STATA\cons2004_ict.dta", clear
des /*1,813,184 observations*/
tostring C1Q2, gen(w1q2_STR) format(%02.0f)
tostring C1Q3, gen(w1q3_STR) format(%02.0f)
tostring C1Q4, gen(w1q4_STR) format(%02.0f)
tostring C1Q8, gen(w1q8_STR) format(%03.0f)
tostring C1Q9, gen(w1q9_STR) format(%02.0f)
tostring C1Q5, gen(w1q5_STR) format(%01.0f)
tostring C1Q6, gen(w1q6_STR) format(%02.0f)
tostring C1Q7, gen(w1q7_STR) format(%03.0f)
gen HID= w1q2_STR+w1q3_STR+w1q4_STR+w1q5_STR+w1q6_STR+w1q7_STR+w1q8_STR+w1q9_STR
codebook HID  /*21,595 households*/
sort HID
save "02_CLEANDATA\HICES\cons2004_ict.dta",replace


use "01_RAWDATA\Wms_Hices_2004\Data\HICES\STATA\demographic_con2004.dta", clear
des  /*99,229 observations*/
tostring C1Q2, gen(w1q2_STR) format(%02.0f)
tostring C1Q3, gen(w1q3_STR) format(%02.0f)
tostring C1Q4, gen(w1q4_STR) format(%02.0f)
tostring C1Q8, gen(w1q8_STR) format(%03.0f)
tostring C1Q9, gen(w1q9_STR) format(%02.0f)
tostring C1Q5, gen(w1q5_STR) format(%01.0f)
tostring C1Q6, gen(w1q6_STR) format(%02.0f)
tostring C1Q7, gen(w1q7_STR) format(%03.0f)
gen HID= w1q2_STR+w1q3_STR+w1q4_STR+w1q5_STR+w1q6_STR+w1q7_STR+w1q8_STR+w1q9_STR
codebook HID  /*21,595 households*/
save "02_CLEANDATA\HICES\demographic_con2004.dta",replace


*Merging dataset from HICES with all of the datasets from WMS*
*--------------------------------------------------------------
clear
set mem 700m
use "02_CLEANDATA\HICES\cons2004_ict.dta"
keep HID CQ15
collapse CQ15, by (HID)
drop CQ15
codebook HID  /*21,595 households*/
sort HID
save "02_CLEANDATA\HICES\cons2004_ict_TEMP.dta",replace


use "02_CLEANDATA\WMS\HIV-AIDS Condition.dta"
codebook HID  /*36,302 households*/
sort HID
merge HID using "02_CLEANDATA\HICES\cons2004_ict_TEMP.dta"
tab _merge  /*_merge=1 (15,003 observations), _merge=2 (296 observations), _merge=3 (21,299 observations)*/
drop if _merge==1
drop _merge
des /*21,595 observations*/
codebook HID  /*21,595 households*/
sort HID
save "02_CLEANDATA\WMS\HIV-AIDS Condition.dta",replace


use "02_CLEANDATA\WMS\Household Assests.dta"
des /*36,302 observations*/
codebook HID  /*36,302 households*/
sort HID
merge HID using "02_CLEANDATA\HICES\cons2004_ict_TEMP.dta"
tab _merge  /*_merge=1 (15,003 observations), _merge=2 (296 observations), _merge=3 (21,299 observations)*/
drop if _merge==1
drop _merge
des /*21,595 observations*/
codebook HID  /*21,595 households*/
sort HID
save "02_CLEANDATA\WMS\Household Assests.dta",replace


use "02_CLEANDATA\WMS\Household Other assets.dta"
des  /*1,052,674 observations*/
codebook HID  /*36,300 households*/
sort HID
merge HID using "02_CLEANDATA\HICES\cons2004_ict_TEMP.dta"
tab _merge  /*_merge=1 (435 observations), _merge=2 (297 observations), _merge=3 (617,616 observations)*/
drop if _merge==1
drop _merge
des /*617,913 observations*/
codebook HID  /*21,595 households*/
sort HID
save "02_CLEANDATA\WMS\Household Other assets.dta",replace


use "02_CLEANDATA\WMS\Housing Ammenities.dta"
des  /*36,302 observations*/
codebook HID  /*36,302 households*/
sort HID
merge HID using "02_CLEANDATA\HICES\cons2004_ict_TEMP.dta"
tab _merge  /*_merge=1 (15003 observations), _merge=2 (296 observations), _merge=3 (21299 observations)*/
drop if _merge==1
drop _merge
des /*21,595 observations*/
codebook HID  /*21,595 households*/
sort HID
save "02_CLEANDATA\WMS\Housing Ammenities.dta",replace


use "02_CLEANDATA\WMS\Indicator of Living Standards.dta"
des  /*36,302 observations*/
codebook HID  /*36,302 households*/
sort HID
merge HID using "02_CLEANDATA\HICES\cons2004_ict_TEMP.dta"
tab _merge  /*_merge=1 (15003 observations), _merge=2 (296 observations), _merge=3 (21299 observations)*/
drop if _merge==1
drop _merge
des /*21,595 observations*/
codebook HID  /*21,595 households*/
sort HID
save "02_CLEANDATA\WMS\Indicator of Living Standards.dta",replace


use "02_CLEANDATA\WMS\Member Characterstics and Child Nutrition.dta"
des  /*170,726 observations*/
codebook HID  /*36,302 households*/
sort HID
merge HID using "02_CLEANDATA\HICES\cons2004_ict_TEMP.dta"
tab _merge  /*_merge=1 (72757 observations), _merge=2 (296 observations), _merge=3 (97969 observations)*/
drop if _merge==1
drop _merge
des /*98,265 observations*/
codebook HID  /*21,595 households*/
sort HID
save "02_CLEANDATA\WMS\Member Characterstics and Child Nutrition.dta",replace


use "02_CLEANDATA\WMS\Types of Facilities.dta"
des  /*907,550 observations*/
codebook HID  /*36,302 households*/
sort HID
merge HID using "02_CLEANDATA\HICES\cons2004_ict_TEMP.dta"
tab _merge  /*_merge=1 (375075 observations), _merge=2 (296 observations), _merge=3 (532475 observations)*/
drop if _merge==1
drop _merge
des /*532,771 observations*/
codebook HID  /*21,595 households*/
sort HID
save "02_CLEANDATA\WMS\Types of Facilities.dta",replace


use "02_CLEANDATA\HICES\demographic_con2004.dta"
des  /*99,229 observations*/
codebook HID  /*21,595 households*/
sort HID
merge HID using "02_CLEANDATA\HICES\cons2004_ict_TEMP.dta"
tab _merge  /*_merge=3 (99,229 observations)*/
drop if _merge==1
drop _merge
des /*99,229 observations*/
codebook HID  /*21,595 households*/
sort HID
save "02_CLEANDATA\HICES\demographic_con2004.dta",replace

erase "02_CLEANDATA\HICES\cons2004_ict_TEMP.dta"


























