clear matrix
clear
set mem 100m
set more off
ssc install povdeco
ssc install ineqdeco
ssc install statsmat
ssc install mat2txt
*----------------------------------------------
*running all the do files before building indicators
cd "C:\AFRCE\Ethiopia 2004\03_PROGRAMS"
run ETH_2004_CLEANING.do
cd "C:\AFRCE\Ethiopia 2004\03_PROGRAMS"
run 00_ETH_BASICINFO.do
cd "C:\AFRCE\Ethiopia 2004\03_PROGRAMS"
run 01_ETH_EXPFOOD.do
cd "C:\AFRCE\Ethiopia 2004\03_PROGRAMS"
run 02_ETH_EXPALCH.do
cd "C:\AFRCE\Ethiopia 2004\03_PROGRAMS"
run 03_ETH_EXPCLTH.do
cd "C:\AFRCE\Ethiopia 2004\03_PROGRAMS"
run 04_ETH_EXPHOUS.do
cd "C:\AFRCE\Ethiopia 2004\03_PROGRAMS"
run 05_ETH_EXPFURN.do
cd "C:\AFRCE\Ethiopia 2004\03_PROGRAMS"
run 06_ETH_EXPHLTH.do
cd "C:\AFRCE\Ethiopia 2004\03_PROGRAMS"
run 07_ETH_EXPTRSP.do
cd "C:\AFRCE\Ethiopia 2004\03_PROGRAMS"
run 08_ETH_EXPCMNQ.do
cd "C:\AFRCE\Ethiopia 2004\03_PROGRAMS"
run 09_ETH_EXPRCRE.do
cd "C:\AFRCE\Ethiopia 2004\03_PROGRAMS"
run 10_ETH_EXPEDUC.do
cd "C:\AFRCE\Ethiopia 2004\03_PROGRAMS"
run 11_ETH_EXPHOTL.do
cd "C:\AFRCE\Ethiopia 2004\03_PROGRAMS"
run 12_ETH_EXPMISC.do
*cd "C:\AFRCE\Ethiopia 2004\03_PROGRAMS"
*run 13_ETH_FDPINDEX.do
cd "C:\AFRCE\Ethiopia 2004\03_PROGRAMS"
run ETH_2004_E.do
cd "C:\AFRCE\Ethiopia 2004\03_PROGRAMS"
run ETH_2004_I.do
*cd "C:\AFRCE\Ethiopia 2004\03_PROGRAMS"
*run ETH_2004_L.do
cd "C:\AFRCE\Ethiopia 2004\03_PROGRAMS"
run ETH_2004_H.do
*----------------------------------------------
*generating INDICATORS.dta
cd "C:\AFRCE\Ethiopia 2004\04_AGGDATA"
*----------------------------------------------
use ETH_2004_H,clear
count
*number of observations 21,595
*----------------------------------------------
*sample size (household)
gen X=1
statsmat X , by (QUINTILE_N) stat(count) mat(D1N) xpose
statsmat X , stat(count)mat(D1NT) xpose
statsmat X if RURURB==1, by (QUINTILE_R_U)  stat(count) mat(D1R) xpose
statsmat X if RURURB==1, stat(count) mat(D1RT) xpose
statsmat X if RURURB==2, by (QUINTILE_R_U)  stat(count) mat(D1U)xpose
statsmat X if RURURB==2, stat(count) mat(D1UT) xpose
matrix D1=D1N,D1NT,D1R,D1RT,D1U,D1UT
matrix rowname D1="Sample Size (households)"
matrix list D1
*----------------------------------------------
*total population (weighted)
statsmat WTA_POP, stat(sum)mat(D2N) xpose
statsmat WTA_POP if RURURB==1, stat(sum)mat(D2R) xpose
statsmat WTA_POP if RURURB==2, stat(sum)mat(D2U) xpose
matrix B5=J(1,5,.)
matrix D2=B5,D2N,B5,D2R,B5,D2U
matrix D2=D2/1000000
matrix rowname D2="Total Population (weighted)"
matrix list D2
*----------------------------------------------
*average houshold size
statsmat HHSIZE [aw=WTA_HH] , by (QUINTILE_N) stat(mean)mat(D4N) xpose
statsmat HHSIZE [aw=WTA_HH] , stat(mean)mat(D4NT) xpose
statsmat HHSIZE if RURURB==1 [aw=WTA_HH], by (QUINTILE_R_U)  stat(mean) mat(D4R) xpose
statsmat HHSIZE if RURURB==1 [aw=WTA_HH], stat(mean) mat(D4RT) xpose
statsmat HHSIZE if RURURB==2 [aw=WTA_HH], by (QUINTILE_R_U)  stat(mean) mat(D4U)xpose
statsmat HHSIZE if RURURB==2 [aw=WTA_HH], stat(mean) mat(D4UT)xpose
matrix D4=D4N,D4NT,D4R,D4RT,D4U,D4UT
matrix rowname D4="Average Household Size"
matrix list D4
*----------------------------------------------
*marital status of head
gen hhmarmale= (inlist(HHMARST,2,3,4) & HHSEX==1)
gen hhsinmale= (inlist(HHMARST,1,5,6) & HHSEX==1)
gen hhmarfem= (inlist(HHMARST,2,3,4) & HHSEX==0)
gen hhsinfem= (inlist(HHMARST,1,5,6) & HHSEX==0)
*----------------
statsmat hhmarmale [aw=WTA_HH], by (QUINTILE_N) stat(mean)mat(HH1N) xpose
statsmat hhmarmale [aw=WTA_HH], stat(mean)mat(HH1NT) xpose
statsmat hhmarmale if RURURB==1 [aw=WTA_HH], by (QUINTILE_R_U)  stat(mean) mat(HH1R) xpose
statsmat hhmarmale if RURURB==1 [aw=WTA_HH], stat(mean) mat(HH1RT) xpose
statsmat hhmarmale if RURURB==2 [aw=WTA_HH], by (QUINTILE_R_U)  stat(mean) mat(HH1U)xpose
statsmat hhmarmale if RURURB==2 [aw=WTA_HH], stat(mean) mat(HH1UT)xpose
matrix HH1=HH1N,HH1NT,HH1R,HH1RT,HH1U,HH1UT
matrix HH1=100*HH1
matrix rowname HH1="Married/Common Law Male"
matrix list HH1
*----------------
statsmat hhsinmale [aw=WTA_HH], by (QUINTILE_N) stat(mean)mat(HH2N) xpose
statsmat hhsinmale [aw=WTA_HH], stat(mean)mat(HH2NT) xpose
statsmat hhsinmale if RURURB==1 [aw=WTA_HH], by (QUINTILE_R_U)  stat(mean) mat(HH2R) xpose
statsmat hhsinmale if RURURB==1 [aw=WTA_HH], stat(mean) mat(HH2RT) xpose
statsmat hhsinmale if RURURB==2 [aw=WTA_HH], by (QUINTILE_R_U)  stat(mean) mat(HH2U)xpose
statsmat hhsinmale if RURURB==2 [aw=WTA_HH], stat(mean) mat(HH2UT)xpose
matrix HH2=HH2N,HH2NT,HH2R,HH2RT,HH2U,HH2UT
matrix HH2=100*HH2
matrix rowname HH2="Single/Divorced/Widowed Male"
matrix list HH2
*----------------
statsmat hhmarfem [aw=WTA_HH], by (QUINTILE_N) stat(mean)mat(HH3N) xpose
statsmat hhmarfem [aw=WTA_HH], stat(mean)mat(HH3NT) xpose
statsmat hhmarfem if RURURB==1 [aw=WTA_HH], by (QUINTILE_R_U)  stat(mean) mat(HH3R) xpose
statsmat hhmarfem if RURURB==1 [aw=WTA_HH], stat(mean) mat(HH3RT) xpose
statsmat hhmarfem if RURURB==2 [aw=WTA_HH], by (QUINTILE_R_U)  stat(mean) mat(HH3U)xpose
statsmat hhmarfem if RURURB==2 [aw=WTA_HH], stat(mean) mat(HH3UT) xpose
matrix HH3=HH3N,HH3NT,HH3R,HH3RT,HH3U,HH3UT
matrix rowname HH3="Married/Common Law Female"
matrix HH3=100*HH3
matrix list HH3
*----------------
statsmat hhsinfem [aw=WTA_HH], by (QUINTILE_N) stat(mean)mat(HH4N) xpose
statsmat hhsinfem [aw=WTA_HH], stat(mean)mat(HH4NT) xpose
statsmat hhsinfem if RURURB==1 [aw=WTA_HH], by (QUINTILE_R_U)  stat(mean) mat(HH4R) xpose
statsmat hhsinfem if RURURB==1 [aw=WTA_HH], stat(mean) mat(HH4RT) xpose
statsmat hhsinfem if RURURB==2 [aw=WTA_HH], by (QUINTILE_R_U)  stat(mean) mat(HH4U)xpose
statsmat hhsinfem if RURURB==2 [aw=WTA_HH], stat(mean) mat(HH4UT) xpose
matrix HH4=HH4N,HH4NT,HH4R,HH4RT,HH4U,HH4UT
matrix HH4=100*HH4
matrix rowname HH4="Single/Divorced/Widowed Female"
matrix list HH4
*----------------------------------------------
*Education level of head
gen nolev= inlist(HHEDLEV,0)
gen presch= inlist(HHEDLEV,1,7)
gen primcom= inlist(HHEDLEV,2)
gen lsecycom= inlist(HHEDLEV,3)
gen usecycom= inlist(HHEDLEV,4)
gen psecytech= inlist(HHEDLEV,5)
gen tertiary= inlist(HHEDLEV,6)
gen oth_ed= inlist(HHEDLEV,9)
gen miss_ed= inlist(HHEDLEV,.)
*----------------
statsmat nolev [aw=WTA_HH], by (QUINTILE_N) stat(mean)mat(HE1N) xpose
statsmat nolev [aw=WTA_HH], stat(mean)mat(HE1NT) xpose
statsmat nolev if RURURB==1 [aw=WTA_HH], by (QUINTILE_R_U)  stat(mean) mat(HE1R) xpose
statsmat nolev if RURURB==1 [aw=WTA_HH], stat(mean) mat(HE1RT) xpose
statsmat nolev if RURURB==2 [aw=WTA_HH], by (QUINTILE_R_U)  stat(mean) mat(HE1U)xpose
statsmat nolev if RURURB==2 [aw=WTA_HH], stat(mean) mat(HE1UT) xpose
matrix HE1=HE1N,HE1NT,HE1R,HE1RT,HE1U,HE1UT
matrix HE1=100*HE1
matrix rowname HE1="No Level"
matrix list HE1
*----------------
statsmat presch [aw=WTA_HH], by (QUINTILE_N) stat(mean)mat(HE2N) xpose
statsmat presch [aw=WTA_HH], stat(mean)mat(HE2NT) xpose
statsmat presch if RURURB==1 [aw=WTA_HH], by (QUINTILE_R_U)  stat(mean) mat(HE2R) xpose
statsmat presch if RURURB==1 [aw=WTA_HH], stat(mean) mat(HE2RT) xpose
statsmat presch if RURURB==2 [aw=WTA_HH], by (QUINTILE_R_U)  stat(mean) mat(HE2U)xpose
statsmat presch if RURURB==2 [aw=WTA_HH], stat(mean) mat(HE2UT) xpose
matrix HE2=HE2N,HE2NT,HE2R,HE2RT,HE2U,HE2UT
matrix HE2=100*HE2
matrix rowname HE2="Pre-school/Primary not completed"
matrix list HE2
*----------------
statsmat primcom [aw=WTA_HH], by (QUINTILE_N) stat(mean)mat(HE3N) xpose
statsmat primcom [aw=WTA_HH], stat(mean)mat(HE3NT) xpose
statsmat primcom if RURURB==1 [aw=WTA_HH], by (QUINTILE_R_U)  stat(mean) mat(HE3R) xpose
statsmat primcom if RURURB==1 [aw=WTA_HH], stat(mean) mat(HE3RT) xpose
statsmat primcom if RURURB==2 [aw=WTA_HH], by (QUINTILE_R_U)  stat(mean) mat(HE3U)xpose
statsmat primcom if RURURB==2 [aw=WTA_HH], stat(mean) mat(HE3UT) xpose
matrix HE3=HE3N,HE3NT,HE3R,HE3RT,HE3U,HE3UT
matrix HE3=100*HE3
matrix rowname HE3="Primary completed"
matrix list HE3
*----------------
statsmat lsecycom [aw=WTA_HH], by (QUINTILE_N) stat(mean)mat(HE4N) xpose
statsmat lsecycom [aw=WTA_HH], stat(mean)mat(HE4NT) xpose
statsmat lsecycom if RURURB==1 [aw=WTA_HH], by (QUINTILE_R_U)  stat(mean) mat(HE4R) xpose
statsmat lsecycom if RURURB==1 [aw=WTA_HH], stat(mean) mat(HE4RT) xpose
statsmat lsecycom if RURURB==2 [aw=WTA_HH], by (QUINTILE_R_U)  stat(mean) mat(HE4U)xpose
statsmat lsecycom if RURURB==2 [aw=WTA_HH], stat(mean) mat(HE4UT) xpose
matrix HE4=HE4N,HE4NT,HE4R,HE4RT,HE4U,HE4UT
matrix HE4=100*HE4
matrix rowname HE4="Lower secondary completed"
matrix list HE4
*----------------
statsmat usecycom [aw=WTA_HH], by (QUINTILE_N) stat(mean)mat(HE5N) xpose
statsmat usecycom [aw=WTA_HH], stat(mean)mat(HE5NT) xpose
statsmat usecycom if RURURB==1 [aw=WTA_HH], by (QUINTILE_R_U)  stat(mean) mat(HE5R) xpose
statsmat usecycom if RURURB==1 [aw=WTA_HH], stat(mean) mat(HE5RT) xpose
statsmat usecycom if RURURB==2 [aw=WTA_HH], by (QUINTILE_R_U)  stat(mean) mat(HE5U)xpose
statsmat usecycom if RURURB==2 [aw=WTA_HH], stat(mean) mat(HE5UT) xpose
matrix HE5=HE5N,HE5NT,HE5R,HE5RT,HE5U,HE5UT
matrix HE5=100*HE5
matrix rowname HE5="Senior secondary completed"
matrix list HE5
*----------------
statsmat psecytech [aw=WTA_HH], by (QUINTILE_N) stat(mean)mat(HE6N) xpose
statsmat psecytech [aw=WTA_HH], stat(mean)mat(HE6NT) xpose
statsmat psecytech if RURURB==1 [aw=WTA_HH], by (QUINTILE_R_U)  stat(mean) mat(HE6R) xpose
statsmat psecytech if RURURB==1 [aw=WTA_HH], stat(mean) mat(HE6RT) xpose
statsmat psecytech if RURURB==2 [aw=WTA_HH], by (QUINTILE_R_U)  stat(mean) mat(HE6U)xpose
statsmat psecytech if RURURB==2 [aw=WTA_HH], stat(mean) mat(HE6UT) xpose
matrix HE6=HE6N,HE6NT,HE6R,HE6RT,HE6U,HE6UT
matrix HE6=100*HE6
matrix rowname HE6="Post secondary technical"
matrix list HE6
*----------------
statsmat tertiary [aw=WTA_HH], by (QUINTILE_N) stat(mean)mat(HE7N) xpose
statsmat tertiary [aw=WTA_HH], stat(mean)mat(HE7NT) xpose
statsmat tertiary if RURURB==1 [aw=WTA_HH], by (QUINTILE_R_U)  stat(mean) mat(HE7R) xpose
statsmat tertiary if RURURB==1 [aw=WTA_HH], stat(mean) mat(HE7RT) xpose
statsmat tertiary if RURURB==2 [aw=WTA_HH], by (QUINTILE_R_U)  stat(mean) mat(HE7U)xpose
statsmat tertiary if RURURB==2 [aw=WTA_HH], stat(mean) mat(HE7UT) xpose
matrix HE7=HE7N,HE7NT,HE7R,HE7RT,HE7U,HE7UT
matrix HE7=100*HE7
matrix rowname HE7="Tertiary"
matrix list HE7
*----------------
statsmat oth_ed [aw=WTA_HH], by (QUINTILE_N) stat(mean)mat(HE8N) xpose
statsmat oth_ed [aw=WTA_HH], stat(mean)mat(HE8NT) xpose
statsmat oth_ed if RURURB==1 [aw=WTA_HH], by (QUINTILE_R_U)  stat(mean) mat(HE8R) xpose
statsmat oth_ed if RURURB==1 [aw=WTA_HH], stat(mean) mat(HE8RT) xpose
statsmat oth_ed if RURURB==2 [aw=WTA_HH], by (QUINTILE_R_U)  stat(mean) mat(HE8U)xpose
statsmat oth_ed if RURURB==2 [aw=WTA_HH], stat(mean) mat(HE8UT) xpose
matrix HE8=HE8N,HE8NT,HE8R,HE8RT,HE8U,HE8UT
matrix HE8=100*HE8
matrix rowname HE8="Other"
matrix list HE8
*----------------
statsmat miss_ed [aw=WTA_HH], by (QUINTILE_N) stat(mean)mat(HE9N) xpose
statsmat miss_ed [aw=WTA_HH], stat(mean)mat(HE9NT) xpose
statsmat miss_ed if RURURB==1 [aw=WTA_HH], by (QUINTILE_R_U)  stat(mean) mat(HE9R) xpose
statsmat miss_ed if RURURB==1 [aw=WTA_HH], stat(mean) mat(HE9RT) xpose
statsmat miss_ed if RURURB==2 [aw=WTA_HH], by (QUINTILE_R_U)  stat(mean) mat(HE9U)xpose
statsmat miss_ed if RURURB==2 [aw=WTA_HH], stat(mean) mat(HE9UT) xpose
matrix HE9=HE9N,HE9NT,HE9R,HE9RT,HE9U,HE9UT
matrix HE9=100*HE9
matrix rowname HE9="Missing"
matrix list HE9
*----------------------------------------------
*MDG1 indicators
*mean monthly per capita expenditure
gen mthexp=PCEXP_PPP/12
statsmat mthexp [aw=WTA_POP], by (QUINTILE_N) stat(mean)mat(P1N) xpose
statsmat mthexp [aw=WTA_POP], stat(mean)mat(P1NT) xpose
statsmat mthexp if RURURB==1 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(P1R) xpose
statsmat mthexp if RURURB==1 [aw=WTA_POP], stat(mean) mat(P1RT) xpose
statsmat mthexp if RURURB==2 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(P1U) xpose
statsmat mthexp if RURURB==2 [aw=WTA_POP], stat(mean) mat(P1UT) xpose
matrix P1=P1N,P1NT,P1R,P1RT,P1U,P1UT
matrix rowname P1="Mean monthly pc exp"
matrix list P1
*----------------------------------------------
sort HID
merge HID using ETH_2004_E
tab _merge
*3=21,595
drop _merge
*----------------------------------------------
*mean share of food expenditure
gen sh_fdexp=TOTFDAL/HHEXP_N
statsmat sh_fdexp [aw=WTA_POP], by (QUINTILE_N) stat(mean)mat(MS1N) xpose
statsmat sh_fdexp [aw=WTA_POP], stat(mean)mat(MS1NT) xpose
statsmat sh_fdexp if RURURB==1 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(MS1R) xpose
statsmat sh_fdexp if RURURB==1 [aw=WTA_POP], stat(mean) mat(MS1RT) xpose
statsmat sh_fdexp if RURURB==2 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(MS1U) xpose
statsmat sh_fdexp if RURURB==2 [aw=WTA_POP], stat(mean) mat(MS1UT) xpose
matrix MS1=MS1N,MS1NT,MS1R,MS1RT,MS1U,MS1UT
matrix MS1=100*MS1
matrix rowname MS1="Mean share of food expenditure"
matrix list MS1
*----------------------------------------------
*mean share of health expenditure
gen sh_hlthexp=TOTHLTH/HHEXP_N
statsmat sh_hlthexp [aw=WTA_POP], by (QUINTILE_N) stat(mean)mat(MS2N) xpose
statsmat sh_hlthexp [aw=WTA_POP], stat(mean)mat(MS2NT) xpose
statsmat sh_hlthexp if RURURB==1 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(MS2R) xpose
statsmat sh_hlthexp if RURURB==1 [aw=WTA_POP], stat(mean) mat(MS2RT) xpose
statsmat sh_hlthexp if RURURB==2 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(MS2U) xpose
statsmat sh_hlthexp if RURURB==2 [aw=WTA_POP], stat(mean) mat(MS2UT) xpose
matrix MS2=MS2N,MS2NT,MS2R,MS2RT,MS2U,MS2UT
matrix MS2=100*MS2
matrix rowname MS2="Mean share of health expenditure"
matrix list MS2
*----------------------------------------------
*mean share of education expenditure
gen sh_educexp=TOTEDUC/HHEXP_N
statsmat sh_educexp [aw=WTA_POP], by (QUINTILE_N) stat(mean)mat(MS3N) xpose
statsmat sh_educexp [aw=WTA_POP], stat(mean)mat(MS3NT) xpose
statsmat sh_educexp if RURURB==1 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(MS3R) xpose
statsmat sh_educexp if RURURB==1 [aw=WTA_POP], stat(mean) mat(MS3RT) xpose
statsmat sh_educexp if RURURB==2 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(MS3U) xpose
statsmat sh_educexp if RURURB==2 [aw=WTA_POP], stat(mean) mat(MS3UT) xpose
matrix MS3=MS3N,MS3NT,MS3R,MS3RT,MS3U,MS3UT
matrix MS3=100*MS3
*matrix rowname MS3="Mean share of education expenditure"
matrix list MS3
*----------------------------------------------
*mean share of household expenditures on public transportation
gen sh_trserve=TRSERVE/HHEXP_N
statsmat sh_trserve [aw=WTA_POP], by (QUINTILE_N) stat(mean)mat(MS4N) xpose
statsmat sh_trserve [aw=WTA_POP], stat(mean)mat(MS4NT) xpose
statsmat sh_trserve if RURURB==1 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(MS4R) xpose
statsmat sh_trserve if RURURB==1 [aw=WTA_POP], stat(mean) mat(MS4RT) xpose
statsmat sh_trserve if RURURB==2 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(MS4U) xpose
statsmat sh_trserve if RURURB==2 [aw=WTA_POP], stat(mean) mat(MS4UT) xpose
matrix MS4=MS4N,MS4NT,MS4R,MS4RT,MS4U,MS4UT
matrix MS4=100*MS4
*matrix rowname MS4="Mean share of public transportation expenditure"
matrix list MS4	
*----------------------------------------------
*mean share of household expenditures on private transportation
gen sh_trperson=TRPERSON/HHEXP_N
statsmat sh_trperson [aw=WTA_POP], by (QUINTILE_N) stat(mean)mat(MS5N) xpose
statsmat sh_trperson [aw=WTA_POP], stat(mean)mat(MS5NT) xpose
statsmat sh_trperson if RURURB==1 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(MS5R) xpose
statsmat sh_trperson if RURURB==1 [aw=WTA_POP], stat(mean) mat(MS5RT) xpose
statsmat sh_trperson if RURURB==2 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(MS5U) xpose
statsmat sh_trperson if RURURB==2 [aw=WTA_POP], stat(mean) mat(MS5UT) xpose
matrix MS5=MS5N,MS5NT,MS5R,MS5RT,MS5U,MS5UT
matrix MS5=100*MS5
matrix rowname MS5="Mean share of pvt tpt exp"
matrix list MS5
****************************ENERGY INDICATORS************************
*----------------------------------------------
*mean share of household expenditures on KEROSENE
gen sh_kero=HSKEROSENE/HHEXP_N
statsmat sh_kero [aw=WTA_POP], by (QUINTILE_N) stat(mean)mat(MS9N) xpose
statsmat sh_kero [aw=WTA_POP], stat(mean)mat(MS9NT) xpose
statsmat sh_kero if RURURB==1 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(MS9R) xpose
statsmat sh_kero if RURURB==1 [aw=WTA_POP], stat(mean) mat(MS9RT) xpose
statsmat sh_kero if RURURB==2 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(MS9U) xpose
statsmat sh_kero if RURURB==2 [aw=WTA_POP], stat(mean) mat(MS9UT) xpose
matrix MS9=MS9N,MS9NT,MS9R,MS9RT,MS9U,MS9UT
matrix MS9=100*MS9
matrix rowname MS9="Kerosene"
matrix list MS9
*----------------------------------------------
*mean share of household expenditures on TRANSPORT FUEL
gen sh_trfuel=TRFUEL/HHEXP_N
statsmat sh_trfuel [aw=WTA_POP], by (QUINTILE_N) stat(mean)mat(MS6N) xpose
statsmat sh_trfuel [aw=WTA_POP], stat(mean)mat(MS6NT) xpose
statsmat sh_trfuel if RURURB==1 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(MS6R) xpose
statsmat sh_trfuel if RURURB==1 [aw=WTA_POP], stat(mean) mat(MS6RT) xpose
statsmat sh_trfuel if RURURB==2 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(MS6U) xpose
statsmat sh_trfuel if RURURB==2 [aw=WTA_POP], stat(mean) mat(MS6UT) xpose
matrix MS6=MS6N,MS6NT,MS6R,MS6RT,MS6U,MS6UT
matrix MS6=100*MS6
matrix rowname MS6="Fuel"
matrix list MS6
*----------------------------------------------
*mean share of household expenditures on ELECTRICITY
gen sh_elec=ELEC/HHEXP_N
statsmat sh_elec [aw=WTA_POP], by (QUINTILE_N) stat(mean)mat(MS7N) xpose
statsmat sh_elec [aw=WTA_POP], stat(mean)mat(MS7NT) xpose
statsmat sh_elec if RURURB==1 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(MS7R) xpose
statsmat sh_elec if RURURB==1 [aw=WTA_POP], stat(mean) mat(MS7RT) xpose
statsmat sh_elec if RURURB==2 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(MS7U) xpose
statsmat sh_elec if RURURB==2 [aw=WTA_POP], stat(mean) mat(MS7UT) xpose
matrix MS7=MS7N,MS7NT,MS7R,MS7RT,MS7U,MS7UT
matrix MS7=100*MS7
matrix rowname MS7="Electricity"
matrix list MS7
*----------------------------------------------
*mean share of household expenditures on GAS
gen sh_gas=GAS/HHEXP_N
statsmat sh_gas [aw=WTA_POP], by (QUINTILE_N) stat(mean)mat(MS8N) xpose
statsmat sh_gas [aw=WTA_POP], stat(mean)mat(MS8NT) xpose
statsmat sh_gas if RURURB==1 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(MS8R) xpose
statsmat sh_gas if RURURB==1 [aw=WTA_POP], stat(mean) mat(MS8RT) xpose
statsmat sh_gas if RURURB==2 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(MS8U) xpose
statsmat sh_gas if RURURB==2 [aw=WTA_POP], stat(mean) mat(MS8UT) xpose
matrix MS8=MS8N,MS8NT,MS8R,MS8RT,MS8U,MS8UT
matrix MS8=100*MS8
matrix rowname MS8="Gas"
matrix list MS8
*-------------------No observations------------------------------
/*mean share of household expenditures on DIESEL
gen sh_diesel=HSDIESEL/HHEXP_N
statsmat sh_diesel [aw=WTA_POP], by (QUINTILE_N) stat(mean)mat(MS10N) xpose
statsmat sh_diesel [aw=WTA_POP], stat(mean)mat(MS10NT) xpose
statsmat sh_diesel if RURURB==1 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(MS10R) xpose
statsmat sh_diesel if RURURB==1 [aw=WTA_POP], stat(mean) mat(MS10RT) xpose
statsmat sh_diesel if RURURB==2 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(MS10U) xpose
statsmat sh_diesel if RURURB==2 [aw=WTA_POP], stat(mean) mat(MS10UT) xpose
matrix MS10=MS10N,MS10NT,MS10R,MS10RT,MS10U,MS10UT
matrix MS10=100*MS10
matrix rowname MS10="Diesel"
matrix list MS10*/
****************************ENERGY INDICATORS*************************
*----------------------------------------------
*mean share of household expenditures on household utilities
gen sh_hsutility=HSUTILITY/HHEXP_N
statsmat sh_hsutility [aw=WTA_POP], by (QUINTILE_N) stat(mean)mat(MS9N) xpose
statsmat sh_hsutility [aw=WTA_POP], stat(mean)mat(MS9NT) xpose
statsmat sh_hsutility if RURURB==1 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(MS9R) xpose
statsmat sh_hsutility if RURURB==1 [aw=WTA_POP], stat(mean) mat(MS9RT) xpose
statsmat sh_hsutility if RURURB==2 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(MS9U) xpose
statsmat sh_hsutility if RURURB==2 [aw=WTA_POP], stat(mean) mat(MS9UT) xpose
matrix MS9=MS9N,MS9NT,MS9R,MS9RT,MS9U,MS9UT
matrix MS9=100*MS9
matrix rowname MS9="Mean share of exp on utilities"
matrix list MS9
*----------------------------------------------
*mean share of household expenditures transportation and utilities
egen trut=rowtotal(TRPERSON TRSERVE HSUTILITY)
gen sh_trut=trut/HHEXP_N
statsmat sh_trut [aw=WTA_POP], by (QUINTILE_N) stat(mean)mat(MS9N) xpose
statsmat sh_trut [aw=WTA_POP], stat(mean)mat(MS9NT) xpose
statsmat sh_trut if RURURB==1 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(MS9R) xpose
statsmat sh_trut if RURURB==1 [aw=WTA_POP], stat(mean) mat(MS9RT) xpose
statsmat sh_trut if RURURB==2 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(MS9U) xpose
statsmat sh_trut if RURURB==2 [aw=WTA_POP], stat(mean) mat(MS9UT) xpose
matrix MS9=MS9N,MS9NT,MS9R,MS9RT,MS9U,MS9UT
matrix MS9=100*MS9
*matrix rowname MS9="Mean share of expenditure on transport and utilities"
matrix list MS9
*----------------------------------------------
*MDG4:Reduce child mortality; MDG5:Improve maternal health
*----------------------------------------------
*MDG7: Ensure environment sustainability
*owner occupancy rate
gen ownhouse=inlist(OWNHOUSE,1)
statsmat ownhouse [aw=WTA_POP], by (QUINTILE_N) stat(mean)mat(S1N) xpose
statsmat ownhouse [aw=WTA_POP], stat(mean)mat(S1NT) xpose
statsmat ownhouse if RURURB==1 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(S1R) xpose
statsmat ownhouse if RURURB==1 [aw=WTA_POP], stat(mean) mat(S1RT) xpose
statsmat ownhouse if RURURB==2 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(S1U) xpose
statsmat ownhouse if RURURB==2 [aw=WTA_POP], stat(mean) mat(S1UT) xpose
matrix S1=S1N,S1NT,S1R,S1RT,S1U,S1UT
matrix S1=100*S1
matrix rowname S1="Owner occupancy rate"
matrix list S1
*----------------------------------------------
*access to flush/improved toilets
gen acc_toilet=inlist(TOILET,1,2)
statsmat acc_toilet [aw=WTA_POP], by (QUINTILE_N) stat(mean)mat(S2N) xpose
statsmat acc_toilet [aw=WTA_POP], stat(mean)mat(S2NT) xpose
statsmat acc_toilet if RURURB==1 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(S2R) xpose
statsmat acc_toilet if RURURB==1 [aw=WTA_POP], stat(mean) mat(S2RT) xpose
statsmat acc_toilet if RURURB==2 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(S2U) xpose
statsmat acc_toilet if RURURB==2 [aw=WTA_POP], stat(mean) mat(S2UT) xpose
matrix S2=S2N,S2NT,S2R,S2RT,S2U,S2UT
matrix S2=100*S2
matrix rowname S2="Access to flush/improved toilets"
matrix list S2
*------------------No observations----------------------------
*access to improved pit laterines among those who have flush/improved toilets
/*gen improv_pit=inlist(TOILET,2)
statsmat improv_pit if acc_toilet==1 [aw=WTA_POP], by (QUINTILE_N) stat(mean)mat(S3N) xpose
statsmat improv_pit if acc_toilet==1 [aw=WTA_POP], stat(mean)mat(S3NT) xpose
statsmat improv_pit if RURURB==1 & acc_toilet==1 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(S3R) xpose
statsmat improv_pit if RURURB==1 & acc_toilet==1 [aw=WTA_POP], stat(mean) mat(S3RT) xpose
statsmat improv_pit if RURURB==2 & acc_toilet==1 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(S3U) xpose
statsmat improv_pit if RURURB==2 & acc_toilet==1 [aw=WTA_POP], stat(mean) mat(S3UT) xpose
matrix S3=S3N,S3NT,S3R,S3RT,S3U,S3UT
matrix S3=100*S3
matrix rowname S3="of which improved pit latrines"
matrix list S3*/
*----------------------------------------------
*access to garbage collection 
gen garb_collect=inlist(GARBDISP,1)
statsmat garb_collect [aw=WTA_POP], by (QUINTILE_N) stat(mean)mat(S4N) xpose
statsmat garb_collect [aw=WTA_POP], stat(mean)mat(S4NT) xpose
statsmat garb_collect if RURURB==1 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(S4R) xpose
statsmat garb_collect if RURURB==1 [aw=WTA_POP], stat(mean) mat(S4RT) xpose
statsmat garb_collect if RURURB==2 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(S4U) xpose
statsmat garb_collect if RURURB==2 [aw=WTA_POP], stat(mean) mat(S4UT) xpose
matrix S4=S4N,S4NT,S4R,S4RT,S4U,S4UT
matrix S4=100*S4
matrix rowname S4="Access to garbage collection"
matrix list S4
*------------------No observations----------------------------
/*connected to electricity
gen electricity=inlist(ELECTCON,1,2,3,9)
statsmat electricity [aw=WTA_POP], by (QUINTILE_N) stat(mean)mat(S5N) xpose
statsmat electricity [aw=WTA_POP], stat(mean)mat(S5NT) xpose
statsmat electricity if RURURB==1 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(S5R) xpose
statsmat electricity if RURURB==1 [aw=WTA_POP], stat(mean) mat(S5RT) xpose
statsmat electricity if RURURB==2 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(S5U) xpose
statsmat electricity if RURURB==2 [aw=WTA_POP], stat(mean) mat(S5UT) xpose
matrix S5=S5N,S5NT,S5R,S5RT,S5U,S5UT
matrix S5=100*S5
matrix rowname S5="Electricity connection"
matrix list S5*/
*-----------------No observations-----------------------------
/*connnection to solar/wind electricity
gen solarwind=inlist(ELECTCON,2)
statsmat solarwind [aw=WTA_POP] if electricity==1, by (QUINTILE_N) stat(mean)mat(S6N) xpose
statsmat solarwind [aw=WTA_POP] if electricity==1, stat(mean)mat(S6NT) xpose
statsmat solarwind [aw=WTA_POP] if RURURB==1  & electricity==1, by (QUINTILE_R_U) stat(mean) mat(S6R) xpose
statsmat solarwind [aw=WTA_POP] if RURURB==1  & electricity==1, stat(mean) mat(S6RT) xpose
statsmat solarwind [aw=WTA_POP] if RURURB==2  & electricity==1, by (QUINTILE_R_U) stat(mean) mat(S6U) xpose
statsmat solarwind [aw=WTA_POP] if RURURB==2  & electricity==1, stat(mean) mat(S6UT) xpose
matrix S6=S6N,S6NT,S6R,S6RT,S6U,S6UT
matrix S6=100*S6
matrix rowname S6="Solar/Wind"
matrix list S6*/
*----------------------------------------------
*fuel use
*1=firewood/charcoal
*2=kerosene/electricity/gas
*3=other
gen wood=inlist(FUELCOOK,1,3)
gen kero=inlist(FUELCOOK,2,4,5)
gen oth_flck=inlist(FUELCOOK,9)
gen miss_flck=inlist(FUELCOOK,.)
*----------------
statsmat wood [aw=WTA_POP], by (QUINTILE_N) stat(mean)mat(F1N) xpose
statsmat wood [aw=WTA_POP], stat(mean)mat(F1NT) xpose
statsmat wood if RURURB==1 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(F1R) xpose
statsmat wood if RURURB==1 [aw=WTA_POP], stat(mean) mat(F1RT) xpose
statsmat wood if RURURB==2 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(F1U) xpose
statsmat wood if RURURB==2 [aw=WTA_POP], stat(mean) mat(F1UT) xpose
matrix F1=F1N,F1NT,F1R,F1RT,F1U,F1UT
matrix F1=100*F1
matrix rowname F1="Firewood/Charcoal"
matrix list F1
*----------------
statsmat kero [aw=WTA_POP], by (QUINTILE_N) stat(mean)mat(F2N) xpose
statsmat kero [aw=WTA_POP], stat(mean)mat(F2NT) xpose
statsmat kero if RURURB==1 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(F2R) xpose
statsmat kero if RURURB==1 [aw=WTA_POP], stat(mean) mat(F2RT) xpose
statsmat kero if RURURB==2 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(F2U) xpose
statsmat kero if RURURB==2 [aw=WTA_POP], stat(mean) mat(F2UT) xpose
matrix F2=F2N,F2NT,F2R,F2RT,F2U,F2UT
matrix F2=100*F2
matrix rowname F2="Kerosene/electricity/gas"
matrix list F2
*----------------
statsmat oth_flck [aw=WTA_POP], by (QUINTILE_N) stat(mean)mat(F3N) xpose
statsmat oth_flck [aw=WTA_POP], stat(mean)mat(F3NT) xpose
statsmat oth_flck if RURURB==1 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(F3R) xpose
statsmat oth_flck if RURURB==1 [aw=WTA_POP], stat(mean) mat(F3RT) xpose
statsmat oth_flck if RURURB==2 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(F3U) xpose
statsmat oth_flck if RURURB==2 [aw=WTA_POP], stat(mean) mat(F3UT) xpose
matrix F3=F3N,F3NT,F3R,F3RT,F3U,F3UT
matrix F3=100*F3
matrix rowname F3="Other"
matrix list F3
*----------------
statsmat miss_flck [aw=WTA_POP], by (QUINTILE_N) stat(mean)mat(F4N) xpose
statsmat miss_flck [aw=WTA_POP], stat(mean)mat(F4NT) xpose
statsmat miss_flck if RURURB==1 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(F4R) xpose
statsmat miss_flck if RURURB==1 [aw=WTA_POP], stat(mean) mat(F4RT) xpose
statsmat miss_flck if RURURB==2 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(F4U) xpose
statsmat miss_flck if RURURB==2 [aw=WTA_POP], stat(mean) mat(F4UT) xpose
matrix F4=F4N,F4NT,F4R,F4RT,F4U,F4UT
matrix F4=100*F4
matrix rowname F4="Missing"
matrix list F4
*----------------------------------------------
*access to water
*1=Improved (pipe; public standpipe; borehole; wells protected; rain water)
*2=Unimproved (wells unprotected; surface water; vendor/truck)
*3=other
/*"Access to an improved water source refers to the percentage of the population 
with reasonable access to an adequate amount of water from an improved source,
such as a household connection, public standpipe, borehole, protected well 
or spring, and rainwater collection. 
*Unimproved sources include vendors, tanker trucks, and unprotected wells and springs.
*Reasonable access is defined as the availability of at least 20 liters a person 
a day from a source within one kilometer of the dwelling."*/
gen improv=inlist(WATER,1,2,3,4,7)
gen unimprov=inlist(WATER,5,6,8)
gen oth_wat=inlist(WATER,9)
gen miss_wat=inlist(WATER,.)
*----------------
statsmat improv [aw=WTA_POP], by (QUINTILE_N) stat(mean)mat(W1N) xpose
statsmat improv [aw=WTA_POP], stat(mean)mat(W1NT) xpose
statsmat improv if RURURB==1 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(W1R) xpose
statsmat improv if RURURB==1 [aw=WTA_POP], stat(mean) mat(W1RT) xpose
statsmat improv if RURURB==2 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(W1U) xpose
statsmat improv if RURURB==2 [aw=WTA_POP], stat(mean) mat(W1UT) xpose
matrix W1=W1N,W1NT,W1R,W1RT,W1U,W1UT
matrix W1=100*W1
matrix rowname W1="Improved"
matrix list W1
*----------------
statsmat unimprov [aw=WTA_POP], by (QUINTILE_N) stat(mean)mat(W2N) xpose
statsmat unimprov [aw=WTA_POP], stat(mean)mat(W2NT) xpose
statsmat unimprov if RURURB==1 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(W2R) xpose
statsmat unimprov if RURURB==1 [aw=WTA_POP], stat(mean) mat(W2RT) xpose
statsmat unimprov if RURURB==2 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(W2U) xpose
statsmat unimprov if RURURB==2 [aw=WTA_POP], stat(mean) mat(W2UT) xpose
matrix W2=W2N,W2NT,W2R,W2RT,W2U,W2UT
matrix W2=100*W2
matrix rowname W2="Unimproved"
matrix list W2
*------------------No Observations---------------------
/*statsmat oth_wat [aw=WTA_POP], by (QUINTILE_N) stat(mean)mat(W3N) xpose
statsmat oth_wat [aw=WTA_POP], stat(mean)mat(W3NT) xpose
statsmat oth_wat if RURURB==1 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(W3R) xpose
statsmat oth_wat if RURURB==1 [aw=WTA_POP], stat(mean) mat(W3RT) xpose
statsmat oth_wat if RURURB==2 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(W3U) xpose
statsmat oth_wat if RURURB==2 [aw=WTA_POP], stat(mean) mat(W3UT) xpose
matrix W3=W3N,W3NT,W3R,W3RT,W3U,W3UT
matrix W3=100*W3
matrix rowname W3="Other"
matrix list W3*/
*----------------
statsmat miss_wat [aw=WTA_POP], by (QUINTILE_N) stat(mean)mat(W4N) xpose
statsmat miss_wat [aw=WTA_POP], stat(mean)mat(W4NT) xpose
statsmat miss_wat if RURURB==1 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(W4R) xpose
statsmat miss_wat if RURURB==1 [aw=WTA_POP], stat(mean) mat(W4RT) xpose
statsmat miss_wat if RURURB==2 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(W4U) xpose
statsmat miss_wat if RURURB==2 [aw=WTA_POP], stat(mean) mat(W4UT) xpose
matrix W4=W4N,W4NT,W4R,W4RT,W4U,W4UT
matrix W4=100*W4
matrix rowname W4="Missing"
matrix list W4
*----------------------------------------------
sort HID
save INDICATORS.dta, replace
*----------------------------------------------
*Individual level indicators
use ETH_2004_I, clear
sort HID INDID
merge HID using INDICATORS
tab _merge
*3=99,229 observations
drop _merge
*----------------------------------------------
*age dependency ratio
gen depdcy=1 if (AGEY<15 | AGEY>64)& AGEY!=.
replace depdcy=0 if AGEY>14 & AGEY<65
statsmat depdcy [aw=WTA_HH], by (QUINTILE_N) stat(mean)mat(D3N) xpose
statsmat depdcy [aw=WTA_HH], stat(mean)mat(D3NT) xpose
statsmat depdcy if RURURB==1 [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(D3R) xpose
statsmat depdcy if RURURB==1 [aw=WTA_HH], stat(mean) mat(D3RT) xpose
statsmat depdcy if RURURB==2 [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(D3U) xpose
statsmat depdcy if RURURB==2 [aw=WTA_HH], stat(mean) mat(D3UT) xpose
matrix D3=D3N,D3NT,D3R,D3RT,D3U,D3UT
matrix D3=100*D3
matrix rowname D3="Age dependency ratio"
matrix list D3
*----------------------------------------------
*proportion of persons aged 15 or more
gen labage=0
replace labage=1 if (AGEY>=15 & AGEY<.)
statsmat labage [aw=WTA_HH], by (QUINTILE_N) stat(mean)mat(L1N) xpose
statsmat labage [aw=WTA_HH], stat(mean)mat(L1NT) xpose
statsmat labage if RURURB==1 [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(L1R) xpose
statsmat labage if RURURB==1 [aw=WTA_HH], stat(mean) mat(L1RT) xpose
statsmat labage if RURURB==2 [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(L1U) xpose
statsmat labage if RURURB==2 [aw=WTA_HH], stat(mean) mat(L1UT) xpose
matrix L1=L1N,L1NT,L1R,L1RT,L1U,L1UT
matrix L1=100*L1
*matrix rowname L1="Proportion of total population aged 15 years or more"
matrix list L1
*----------------------------------------------
sort HID INDID
save INDICATORS.dta, replace
*----------------------------------------------
/*Individual level indicators
use ETH_2004_L, clear
sort HID INDID
merge HID INDID using INDICATORS
tab _merge
*3=51,836
drop _merge
*-----------------Labor var-----------------------------
*percentage employed aged 15 years and above
gen employed=inlist(EMPLOYED_WB,1)
statsmat employed [aw=WTA_HH] if AGEY>14, by (QUINTILE_N) stat(mean)mat(L2N) xpose
statsmat employed [aw=WTA_HH] if AGEY>14, stat(mean)mat(L2NT) xpose
statsmat employed if RURURB==1 & AGEY>14 [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(L2R) xpose
statsmat employed if RURURB==1 & AGEY>14 [aw=WTA_HH], stat(mean) mat(L2RT) xpose
statsmat employed if RURURB==2 & AGEY>14 [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(L2U) xpose
statsmat employed if RURURB==2 & AGEY>14 [aw=WTA_HH], stat(mean) mat(L2UT) xpose
matrix L2=L2N,L2NT,L2R,L2RT,L2U,L2UT
matrix L2=100*L2
matrix rowname L2="Employed"
matrix list L2
*-----------------Labor var-----------------------------
*percentage of females among those employed aged 15 years and above
gen femempl=inlist(EMPLOYED_WB,1 & SEX,0)
statsmat femempl [aw=WTA_HH] if AGEY>14 & EMPLOYED_WB==1, by (QUINTILE_N) stat(mean)mat(L3N) xpose
statsmat femempl [aw=WTA_HH] if AGEY>14 & EMPLOYED_WB==1, stat(mean)mat(L3NT) xpose
statsmat femempl if RURURB==1 & AGEY>14 & EMPLOYED_WB==1 [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(L3R) xpose
statsmat femempl if RURURB==1 & AGEY>14 & EMPLOYED_WB==1 [aw=WTA_HH], stat(mean) mat(L3RT) xpose
statsmat femempl if RURURB==2 & AGEY>14 & EMPLOYED_WB==1 [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(L3U) xpose
statsmat femempl if RURURB==2 & AGEY>14 & EMPLOYED_WB==1 [aw=WTA_HH], stat(mean) mat(L3UT) xpose
matrix L3=L3N,L3NT,L3R,L3RT,L3U,L3UT
matrix L3=100*L3
matrix rowname L3="of which females"
matrix list L3
*----------------Labor Var------------------------------
/*For primary job
job categories*/
gen wage_pub=(EMP_CAT_1==11)
gen wage_pub_fem=(EMP_CAT_1==11)&(SEX==0)
gen wage_priv_nag=(EMP_CAT_1==12)
gen wage_priv_nag_fem=(EMP_CAT_1==12)&(SEX==0)
gen wage_priv_ag=(EMP_CAT_1==13)
gen wage_priv_ag_fem=(EMP_CAT_1==13)&(SEX==0)
gen fam_ent=(EMP_CAT_1==21)
gen fam_ent_fem=(EMP_CAT_1==21)&(SEX==0)
gen fam_farm=(EMP_CAT_1==22)
gen fam_farm_fem=(EMP_CAT_1==22)&(SEX==0)
*------------------------------
statsmat wage_pub if AGEY>14 & EMP_CAT_1!=. [aw=WTA_HH], by (QUINTILE_N) stat(mean)mat(L4N) xpose
statsmat wage_pub if AGEY>14 & EMP_CAT_1!=. [aw=WTA_HH], stat(mean)mat(L4NT) xpose
statsmat wage_pub if RURURB==1 & AGEY>14 & EMP_CAT_1!=. [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(L4R) xpose
statsmat wage_pub if RURURB==1 & AGEY>14 & EMP_CAT_1!=. [aw=WTA_HH], stat(mean) mat(L4RT) xpose
statsmat wage_pub if RURURB==2 & AGEY>14 & EMP_CAT_1!=. [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(L4U) xpose
statsmat wage_pub if RURURB==2 & AGEY>14 & EMP_CAT_1!=. [aw=WTA_HH], stat(mean) mat(L4UT) xpose
matrix L4=L4N,L4NT,L4R,L4RT,L4U,L4UT
matrix L4=100*L4
matrix rowname L4="Wage public"
matrix list L4
*------------------------------
statsmat wage_pub_fem [aw=WTA_HH] if AGEY>14 & wage_pub==1, by (QUINTILE_N) stat(mean)mat(L5N) xpose
statsmat wage_pub_fem [aw=WTA_HH] if AGEY>14 & wage_pub==1, stat(mean)mat(L5NT) xpose
statsmat wage_pub_fem if RURURB==1 & AGEY>14 & wage_pub==1 [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(L5R) xpose
statsmat wage_pub_fem if RURURB==1 & AGEY>14 & wage_pub==1 [aw=WTA_HH], stat(mean) mat(L5RT) xpose
statsmat wage_pub_fem if RURURB==2 & AGEY>14 & wage_pub==1 [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(L5U) xpose
statsmat wage_pub_fem if RURURB==2 & AGEY>14 & wage_pub==1 [aw=WTA_HH], stat(mean) mat(L5UT) xpose
matrix L5=L5N,L5NT,L5R,L5RT,L5U,L5UT
matrix L5=100*L5
matrix rowname L5="of which females"
matrix list L5
*------------------------------
statsmat wage_priv_nag [aw=WTA_HH] if AGEY>14 & EMP_CAT_1!=., by (QUINTILE_N) stat(mean)mat(L6N) xpose
statsmat wage_priv_nag [aw=WTA_HH] if AGEY>14 & EMP_CAT_1!=., stat(mean)mat(L6NT) xpose
statsmat wage_priv_nag if RURURB==1 & AGEY>14 & EMP_CAT_1!=. [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(L6R) xpose
statsmat wage_priv_nag if RURURB==1 & AGEY>14 & EMP_CAT_1!=. [aw=WTA_HH], stat(mean) mat(L6RT) xpose
statsmat wage_priv_nag if RURURB==2 & AGEY>14 & EMP_CAT_1!=. [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(L6U) xpose
statsmat wage_priv_nag if RURURB==2 & AGEY>14 & EMP_CAT_1!=. [aw=WTA_HH], stat(mean) mat(L6UT) xpose
matrix L6=L6N,L6NT,L6R,L6RT,L6U,L6UT
matrix L6=100*L6
matrix rowname L6="Wage private non-agriculture"
matrix list L6
*------------------------------
statsmat wage_priv_nag_fem [aw=WTA_HH] if AGEY>14 & wage_priv_nag==1, by (QUINTILE_N) stat(mean)mat(L7N) xpose
statsmat wage_priv_nag_fem [aw=WTA_HH] if AGEY>14 & wage_priv_nag==1, stat(mean)mat(L7NT) xpose
statsmat wage_priv_nag_fem if RURURB==1 & AGEY>14 & wage_priv_nag==1 [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(L7R) xpose
statsmat wage_priv_nag_fem if RURURB==1 & AGEY>14 & wage_priv_nag==1 [aw=WTA_HH], stat(mean) mat(L7RT) xpose
statsmat wage_priv_nag_fem if RURURB==2 & AGEY>14 & wage_priv_nag==1 [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(L7U) xpose
statsmat wage_priv_nag_fem if RURURB==2 & AGEY>14 & wage_priv_nag==1 [aw=WTA_HH], stat(mean) mat(L7UT) xpose
matrix L7=L7N,L7NT,L7R,L7RT,L7U,L7UT
matrix L7=100*L7
matrix rowname L7="of which females"
matrix list L7
*------------------------------
statsmat wage_priv_ag [aw=WTA_HH] if AGEY>14 & EMP_CAT_1!=., by (QUINTILE_N) stat(mean)mat(L8N) xpose
statsmat wage_priv_ag [aw=WTA_HH] if AGEY>14 & EMP_CAT_1!=., stat(mean)mat(L8NT) xpose
statsmat wage_priv_ag if RURURB==1 & AGEY>14 & EMP_CAT_1!=. [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(L8R) xpose
statsmat wage_priv_ag if RURURB==1 & AGEY>14 & EMP_CAT_1!=. [aw=WTA_HH], stat(mean) mat(L8RT) xpose
statsmat wage_priv_ag if RURURB==2 & AGEY>14 & EMP_CAT_1!=. [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(L8U) xpose
statsmat wage_priv_ag if RURURB==2 & AGEY>14 & EMP_CAT_1!=. [aw=WTA_HH], stat(mean) mat(L8UT) xpose
matrix L8=L8N,L8NT,L8R,L8RT,L8U,L8UT
matrix L8=100*L8
matrix rowname L8="Wage private agriculture"
matrix list L8
*------------------------------
statsmat wage_priv_ag_fem [aw=WTA_HH] if AGEY>14 & wage_priv_ag==1, by (QUINTILE_N) stat(mean)mat(L9N) xpose
statsmat wage_priv_ag_fem [aw=WTA_HH] if AGEY>14 & wage_priv_ag==1, stat(mean)mat(L9NT) xpose
statsmat wage_priv_ag_fem if RURURB==1 & AGEY>14 & wage_priv_ag==1 [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(L9R) xpose
statsmat wage_priv_ag_fem if RURURB==1 & AGEY>14 & wage_priv_ag==1 [aw=WTA_HH], stat(mean) mat(L9RT) xpose
statsmat wage_priv_ag_fem if RURURB==2 & AGEY>14 & wage_priv_ag==1 [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(L9U) xpose
statsmat wage_priv_ag_fem if RURURB==2 & AGEY>14 & wage_priv_ag==1 [aw=WTA_HH], stat(mean) mat(L9UT) xpose
matrix L9=L9N,L9NT,L9R,L9RT,L9U,L9UT
matrix L9=100*L9
matrix rowname L9="of which females"
matrix list L9
*------------------------------
statsmat fam_ent [aw=WTA_HH] if AGEY>14 & EMP_CAT_1!=., by (QUINTILE_N) stat(mean)mat(L10N) xpose
statsmat fam_ent [aw=WTA_HH] if AGEY>14 & EMP_CAT_1!=., stat(mean)mat(L10NT) xpose
statsmat fam_ent if RURURB==1 & AGEY>14 & EMP_CAT_1!=. [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(L10R) xpose
statsmat fam_ent if RURURB==1 & AGEY>14 & EMP_CAT_1!=. [aw=WTA_HH], stat(mean) mat(L10RT) xpose
statsmat fam_ent if RURURB==2 & AGEY>14 & EMP_CAT_1!=. [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(L10U) xpose
statsmat fam_ent if RURURB==2 & AGEY>14 & EMP_CAT_1!=. [aw=WTA_HH], stat(mean) mat(L10UT) xpose
matrix L10=L10N,L10NT,L10R,L10RT,L10U,L10UT
matrix L10=100*L10
matrix rowname L10="Family enterprise"
matrix list L10
*------------------------------
statsmat fam_ent_fem [aw=WTA_HH] if AGEY>14 & fam_ent==1, by (QUINTILE_N) stat(mean)mat(L11N) xpose
statsmat fam_ent_fem [aw=WTA_HH] if AGEY>14 & fam_ent==1, stat(mean)mat(L11NT) xpose
statsmat fam_ent_fem if RURURB==1 & AGEY>14 & fam_ent==1 [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(L11R) xpose
statsmat fam_ent_fem if RURURB==1 & AGEY>14 & fam_ent==1 [aw=WTA_HH], stat(mean) mat(L11RT) xpose
statsmat fam_ent_fem if RURURB==2 & AGEY>14 & fam_ent==1 [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(L11U) xpose
statsmat fam_ent_fem if RURURB==2 & AGEY>14 & fam_ent==1 [aw=WTA_HH], stat(mean) mat(L11UT) xpose
matrix L11=L11N,L11NT,L11R,L11RT,L11U,L11UT
matrix L11=100*L11
matrix rowname L11="of which females"
matrix list L11
*------------------------------
statsmat fam_farm [aw=WTA_HH] if AGEY>14 & EMP_CAT_1!=., by (QUINTILE_N) stat(mean)mat(L12N) xpose
statsmat fam_farm [aw=WTA_HH] if AGEY>14 & EMP_CAT_1!=., stat(mean)mat(L12NT) xpose
statsmat fam_farm if RURURB==1 & AGEY>14 & EMP_CAT_1!=. [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(L12R) xpose
statsmat fam_farm if RURURB==1 & AGEY>14 & EMP_CAT_1!=. [aw=WTA_HH], stat(mean) mat(L12RT) xpose
statsmat fam_farm if RURURB==2 & AGEY>14 & EMP_CAT_1!=. [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(L12U) xpose
statsmat fam_farm if RURURB==2 & AGEY>14 & EMP_CAT_1!=. [aw=WTA_HH], stat(mean) mat(L12UT) xpose
matrix L12=L12N,L12NT,L12R,L12RT,L12U,L12UT
matrix L12=100*L12
matrix rowname L12="Family farm"
matrix list L12
*------------------------------
statsmat fam_farm_fem [aw=WTA_HH] if AGEY>14 & fam_farm==1, by (QUINTILE_N) stat(mean)mat(L13N) xpose
statsmat fam_farm_fem [aw=WTA_HH] if AGEY>14 & fam_farm==1, stat(mean)mat(L13NT) xpose
statsmat fam_farm_fem if RURURB==1 & AGEY>14 & fam_farm==1 [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(L13R) xpose
statsmat fam_farm_fem if RURURB==1 & AGEY>14 & fam_farm==1 [aw=WTA_HH], stat(mean) mat(L13RT) xpose
statsmat fam_farm_fem if RURURB==2 & AGEY>14 & fam_farm==1 [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(L13U) xpose
statsmat fam_farm_fem if RURURB==2 & AGEY>14 & fam_farm==1 [aw=WTA_HH], stat(mean) mat(L13UT) xpose
matrix L13=L13N,L13NT,L13R,L13RT,L13U,L13UT
matrix L13=100*L13
matrix rowname L13="of which females"
matrix list L13
*----------------Labor var- household level------------------------------
*Collapsing at the household level
collapse RURURB QUINTILE_N QUINTILE_R_U WTA_HH WTA_POP (sum)SOU_*, by (HID)
count
*Number of households 12,600
replace SOU_AGRI_1=1 if (SOU_AGRI_1>0 & SOU_AGRI_1<.)
replace SOU_NFARM_1=1 if (SOU_NFARM_1>0 & SOU_NFARM_1<.)
replace SOU_WAGE_1=1 if (SOU_WAGE_1>0 & SOU_WAGE_1<.)
replace SOU_AGRI_2=1 if (SOU_AGRI_2>0 & SOU_AGRI_2<.)
replace SOU_NFARM_2=1 if (SOU_NFARM_2>0 & SOU_NFARM_2<.)
replace SOU_WAGE_2=1 if (SOU_WAGE_2>0 & SOU_WAGE_2<.)
*----------------Labor var- household level------------------------------
*households with farm income from either primary or secondary job
gen agriinc=inlist(SOU_AGRI_1,1|SOU_AGRI_2,1)
statsmat agriinc [aw=WTA_POP], by (QUINTILE_N) stat(mean)mat(L14N) xpose
statsmat agriinc [aw=WTA_POP], stat(mean)mat(L14NT) xpose
statsmat agriinc if RURURB==1 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(L14R) xpose
statsmat agriinc if RURURB==1 [aw=WTA_POP], stat(mean) mat(L14RT) xpose
statsmat agriinc if RURURB==2 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(L14U) xpose
statsmat agriinc if RURURB==2 [aw=WTA_POP], stat(mean) mat(L14UT) xpose
matrix L14=L14N,L14NT,L14R,L14RT,L14U,L14UT
matrix L14=100*L14
matrix rowname L14="Agriculture"
matrix list L14
*----------------Labor var- household level------------------------------
*households with non-farm income from either primary or secondary job
gen nfarminc=inlist(SOU_NFARM_1,1|SOU_NFARM_2,1)
statsmat nfarminc [aw=WTA_POP], by (QUINTILE_N) stat(mean)mat(L15N) xpose
statsmat nfarminc [aw=WTA_POP], stat(mean)mat(L15NT) xpose
statsmat nfarminc if RURURB==1 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(L15R) xpose
statsmat nfarminc if RURURB==1 [aw=WTA_POP], stat(mean) mat(L15RT) xpose
statsmat nfarminc if RURURB==2 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(L15U) xpose
statsmat nfarminc if RURURB==2 [aw=WTA_POP], stat(mean) mat(L15UT) xpose
matrix L15=L15N,L15NT,L15R,L15RT,L15U,L15UT
matrix L15=100*L15
matrix rowname L15="Non-agriculture"
matrix list L15
*----------------Labor var - household level-----------------------------
*households with wage income from either primary or secondary job
gen wageinc=inlist(SOU_WAGE_1,1|SOU_WAGE_2,1)
statsmat wageinc [aw=WTA_POP], by (QUINTILE_N) stat(mean)mat(L16N) xpose
statsmat wageinc [aw=WTA_POP], stat(mean)mat(L16NT) xpose
statsmat wageinc if RURURB==1 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(L16R) xpose
statsmat wageinc if RURURB==1 [aw=WTA_POP], stat(mean) mat(L16RT) xpose
statsmat wageinc if RURURB==2 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(L16U) xpose
statsmat wageinc if RURURB==2 [aw=WTA_POP], stat(mean) mat(L16UT) xpose
matrix L16=L16N,L16NT,L16R,L16RT,L16U,L16UT
matrix L16=100*L16
matrix rowname L16="Wage"
matrix list L16*/
*----------------------------------------------
*Individual level indicators
use ETH_2004_I, clear
sort HID INDID
merge HID INDID using INDICATORS
tab _merge
*3=99,229
drop _merge
*----------------------------------------------
/*school age indicators
pre-primary education starts by age 4 and lasts for 2 years
primary education starts by age 6 and lasts for 6 years
lower secondary education starts by age 12 and lasts for 4 to 5 years
upper secondary education starts by age 16 or 17 and lasts for 2 to 1 years respectively
tertiary education starts by age 18*/
gen age_prim=0
replace age_prim=1 if AGEY>=7 & AGEY<=14
gen age_lsec=0
replace age_lsec=1 if AGEY>=15 & AGEY<=16 
gen age_usec=0
replace age_usec=1 if AGEY>=17 & AGEY<=18
gen age_ter=0
replace age_ter=1 if AGEY>=19 & AGEY<=22

*Gross enrollemnt indicators
gen ge_prim=0 
replace ge_prim=1 if EDYEARS_AT>=1 & EDYEARS_AT<=8
gen ge_lsec=0 
replace ge_lsec=1 if EDYEARS_AT>=9 & EDYEARS_AT<=10
gen ge_usec=0 
replace ge_usec=1 if EDYEARS_AT>=11 & EDYEARS_AT<=12
gen ge_ter=0 
replace ge_ter=1 if EDYEARS_AT>=13 & EDYEARS_AT<=18

*gross enrollment ratios
svyset [pweight=WTA_HH]

*gross primary enrollment rate
*female
svy: ratio ge_prim/age_prim if SEX==0, over(QUINTILE_N)
matrix E1N= 100*e(b)
svy: ratio ge_prim/age_prim if SEX==0
matrix E1NT= 100*e(b)
svy: ratio ge_prim/age_prim if SEX==0 & RURURB==1, over(QUINTILE_R_U)
matrix E1R= 100*e(b)
svy: ratio ge_prim/age_prim if SEX==0 & RURURB==1
matrix E1RT= 100*e(b)
svy: ratio ge_prim/age_prim if SEX==0 & RURURB==2, over(QUINTILE_R_U)
matrix E1U= 100*e(b)
svy: ratio ge_prim/age_prim if SEX==0 & RURURB==2
matrix E1UT= 100*e(b)
matrix E1=E1N,E1NT,E1R,E1RT,E1U,E1UT
matrix rowname E1="Female"
matrix list E1

*gross primary enrollment rate
*male
svy: ratio ge_prim/age_prim if SEX==1, over(QUINTILE_N)
matrix E2N= 100*e(b)
svy: ratio ge_prim/age_prim if SEX==1
matrix E2NT= 100*e(b)
svy: ratio ge_prim/age_prim if SEX==1 & RURURB==1, over(QUINTILE_R_U)
matrix E2R= 100*e(b)
svy: ratio ge_prim/age_prim if SEX==1 & RURURB==1
matrix E2RT= 100*e(b)
svy: ratio ge_prim/age_prim if SEX==1 & RURURB==2, over(QUINTILE_R_U)
matrix E2U= 100*e(b)
svy: ratio ge_prim/age_prim if SEX==1 & RURURB==2
matrix E2UT= 100*e(b)
matrix E2=E2N,E2NT,E2R,E2RT,E2U,E2UT
matrix rowname E2="Male"
matrix list E2

*gross lower secondary enrollment rate
*female
svy: ratio ge_lsec/age_lsec if SEX==0, over(QUINTILE_N)
matrix E3N= 100 * e(b)
svy: ratio ge_lsec/age_lsec if SEX==0
matrix E3NT= 100*e(b)
svy: ratio ge_lsec/age_lsec if SEX==0 & RURURB==1, over(QUINTILE_R_U)
matrix E3R= 100*e(b)
svy: ratio ge_lsec/age_lsec if SEX==0 & RURURB==1
matrix E3RT= 100*e(b)
svy: ratio ge_lsec/age_lsec if SEX==0 & RURURB==2, over(QUINTILE_R_U)
matrix E3U= 100*e(b)
svy: ratio ge_lsec/age_lsec if SEX==0 & RURURB==2
matrix E3UT= 100*e(b)
matrix E3=E3N,E3NT,E3R,E3RT,E3U,E3UT
matrix rowname E3="Female"
matrix list E3

*gross lower secondary enrollment rate
*male
svy: ratio ge_lsec/age_lsec if SEX==1, over(QUINTILE_N)
matrix E4N= 100*e(b)
svy: ratio ge_lsec/age_lsec if SEX==1
matrix E4NT= 100*e(b)
svy: ratio ge_lsec/age_lsec if SEX==1 & RURURB==1, over(QUINTILE_R_U)
matrix E4R= 100*e(b)
svy: ratio ge_lsec/age_lsec if SEX==1 & RURURB==1
matrix E4RT= 100*e(b)
svy: ratio ge_lsec/age_lsec if SEX==1 & RURURB==2, over(QUINTILE_R_U)
matrix E4U= 100*e(b)
svy: ratio ge_lsec/age_lsec if SEX==1 & RURURB==2
matrix E4UT= 100*e(b)
matrix E4=E4N,E4NT,E4R,E4RT,E4U,E4UT
matrix rowname E4="Male"
matrix list E4

*gross upper secondary enrollment rate
*female
svy: ratio ge_usec/age_usec if SEX==0, over(QUINTILE_N)
matrix E5N= 100*e(b)
svy: ratio ge_usec/age_usec if SEX==0
matrix E5NT= 100*e(b)
svy: ratio ge_usec/age_usec if SEX==0 & RURURB==1, over(QUINTILE_R_U)
matrix E5R= 100*e(b)
svy: ratio ge_usec/age_usec if SEX==0 & RURURB==1
matrix E5RT= 100*e(b)
svy: ratio ge_usec/age_usec if SEX==0 & RURURB==2, over(QUINTILE_R_U)
matrix E5U= 100*e(b)
svy: ratio ge_usec/age_usec if SEX==0 & RURURB==2
matrix E5UT= 100*e(b)
matrix E5=E5N,E5NT,E5R,E5RT,E5U,E5UT
matrix rowname E5="Female"
matrix list E5

*gross upper secondary enrollment rate
*male
svy: ratio ge_usec/age_usec if SEX==1, over(QUINTILE_N)
matrix E6N= 100*e(b)
svy: ratio ge_usec/age_usec if SEX==1
matrix E6NT= 100*e(b)
svy: ratio ge_usec/age_usec if SEX==1 & RURURB==1, over(QUINTILE_R_U)
matrix E6R= 100*e(b)
svy: ratio ge_usec/age_usec if SEX==1 & RURURB==1
matrix E6RT= 100*e(b)
svy: ratio ge_usec/age_usec if SEX==1 & RURURB==2, over(QUINTILE_R_U)
matrix E6U= 100*e(b)
svy: ratio ge_usec/age_usec if SEX==1 & RURURB==2
matrix E6UT= 100*e(b)
matrix E6=E6N,E6NT,E6R,E6RT,E6U,E6UT
matrix rowname E6="Male"
matrix list E6

*gross tertiary enrollment rate
svy: ratio ge_ter/age_ter, over(QUINTILE_N)
matrix E15N= 100*e(b)
svy: ratio ge_ter/age_ter
matrix E15NT= 100*e(b)
svy: ratio ge_ter/age_ter if RURURB==1, over(QUINTILE_R_U)
matrix E15R= 100*e(b)
svy: ratio ge_ter/age_ter if RURURB==1
matrix E15RT= 100*e(b)
svy: ratio ge_ter/age_ter if RURURB==2, over(QUINTILE_R_U)
matrix E15U= 100*e(b)
svy: ratio ge_ter/age_ter if RURURB==2
matrix E15UT= 100*e(b)
matrix E15=E15N,E15NT,E15R,E15RT,E15U,E15UT
matrix rowname E15="Gross tertiary"
matrix list E15

*Female gross tertiary enrollment indicators
gen f_ge_ter=0 & ge_ter==1
replace f_ge_ter=1 if SEX==0 & ge_ter==1

*percentage of females among gross tertiary enrollment rate
svy: ratio f_ge_ter/ge_ter, over(QUINTILE_N)
matrix E16N= 100*e(b)
svy: ratio f_ge_ter/ge_ter
matrix E16NT= 100*e(b)
svy: ratio f_ge_ter/ge_ter if RURURB==1, over(QUINTILE_R_U)
matrix E16R= 100*e(b)
svy: ratio f_ge_ter/ge_ter if RURURB==1
matrix E16RT= 100*e(b)
svy: ratio f_ge_ter/ge_ter if RURURB==2, over(QUINTILE_R_U)
matrix E16U= 100*e(b)
svy: ratio f_ge_ter/ge_ter if RURURB==2
matrix E16UT= 100*e(b)
matrix E16=E16N,E16NT,E16R,E16RT,E16U,E16UT
matrix rowname E16="of which females"
matrix list E16
*----------------------------------------------
*net enrollment indicators
gen ne_prim=0 if age_prim==1
replace ne_prim=1 if (EDYEARS_AT>=1 & EDYEARS_AT<=8) & age_prim==1
gen ne_lsec=0 if age_lsec==1
replace ne_lsec=1 if (EDYEARS_AT>=9 & EDYEARS_AT<=10) & age_lsec==1
gen ne_usec=0 if age_usec==1
replace ne_usec=1 if (EDYEARS_AT>=11 & EDYEARS_AT<=12) & age_usec==1
gen ne_ter=0 if age_ter==1
replace ne_ter=1 if (EDYEARS_AT>=13 & EDYEARS_AT<=18) & age_ter==1

*Net enrollment ratios
svyset [pweight=WTA_HH]

*net primary enrollment
*female
svy: ratio ne_prim/age_prim if SEX==0, over(QUINTILE_N)
matrix E7N= 100*e(b)
svy: ratio ne_prim/age_prim if SEX==0
matrix E7NT= 100*e(b)
svy: ratio ne_prim/age_prim if SEX==0 & RURURB==1, over(QUINTILE_R_U)
matrix E7R= 100*e(b)
svy: ratio ne_prim/age_prim if SEX==0 & RURURB==1
matrix E7RT= 100*e(b)
svy: ratio ne_prim/age_prim if SEX==0 & RURURB==2, over(QUINTILE_R_U)
matrix E7U= 100*e(b)
svy: ratio ne_prim/age_prim if SEX==0 & RURURB==2
matrix E7UT= 100*e(b)
matrix E7=E7N,E7NT,E7R,E7RT,E7U,E7UT
matrix rowname E7="Female"
matrix list E7

*net primary enrollment
*Male
svy: ratio ne_prim/age_prim if SEX==1, over(QUINTILE_N)
matrix E8N= 100*e(b)
svy: ratio ne_prim/age_prim if SEX==1
matrix E8NT= 100*e(b)
svy: ratio ne_prim/age_prim if SEX==1 & RURURB==1, over(QUINTILE_R_U)
matrix E8R= 100*e(b)
svy: ratio ne_prim/age_prim if SEX==1 & RURURB==1
matrix E8RT= 100*e(b)
svy: ratio ne_prim/age_prim if SEX==1 & RURURB==2, over(QUINTILE_R_U)
matrix E8U= 100*e(b)
svy: ratio ne_prim/age_prim if SEX==1 & RURURB==2
matrix E8UT= 100*e(b)
matrix E8=E8N,E8NT,E8R,E8RT,E8U,E8UT
matrix rowname E8="Male"
matrix list E8

*primary completion rate on time
gen age_cr_prim=0
replace age_cr_prim=1 if AGEY==14
gen cr_prim=0
replace cr_prim =1 if EDYEARS_AT==8

*female
svy: ratio cr_prim/age_cr_prim if SEX==0, over(QUINTILE_N)
matrix E9N= 100*e(b)
svy: ratio cr_prim/age_cr_prim if SEX==0
matrix E9NT= 100*e(b)
svy: ratio cr_prim/age_cr_prim if SEX==0 & RURURB==1, over(QUINTILE_R_U)
matrix E9R= 100*e(b)
svy: ratio cr_prim/age_cr_prim if SEX==0 & RURURB==1
matrix E9RT= 100*e(b)
svy: ratio cr_prim/age_cr_prim if SEX==0 & RURURB==2, over(QUINTILE_R_U)
matrix E9U= 100*e(b)
svy: ratio cr_prim/age_cr_prim if SEX==0 & RURURB==2
matrix E9UT= 100*e(b)
matrix E9=E9N,E9NT,E9R,E9RT,E9U,E9UT
matrix rowname E9="Female"
matrix list E9

*male
svy: ratio cr_prim/age_cr_prim if SEX==1, over(QUINTILE_N)
matrix E10N= 100*e(b)
svy: ratio cr_prim/age_cr_prim if SEX==1
matrix E10NT= 100*e(b)
svy: ratio cr_prim/age_cr_prim if SEX==1 & RURURB==1, over(QUINTILE_R_U)
matrix E10R= 100*e(b)
svy: ratio cr_prim/age_cr_prim if SEX==1 & RURURB==1
matrix E10RT= 100*e(b)
svy: ratio cr_prim/age_cr_prim if SEX==1 & RURURB==2, over(QUINTILE_R_U)
matrix E10U= 100*e(b)
svy: ratio cr_prim/age_cr_prim if SEX==1 & RURURB==2
matrix E10UT= 100*e(b)
matrix E10=E10N,E10NT,E10R,E10RT,E10U,E10UT
matrix rowname E10="Male"
matrix list E10

*net lower secondary enrollment
*female
svy: ratio ne_lsec/age_lsec if SEX==0, over(QUINTILE_N)
matrix E11N= 100*e(b)
svy: ratio ne_lsec/age_lsec if SEX==0
matrix E11NT= 100*e(b)
svy: ratio ne_lsec/age_lsec if SEX==0 & RURURB==1, over(QUINTILE_R_U)
matrix E11R= 100*e(b)
svy: ratio ne_lsec/age_lsec if SEX==0 & RURURB==1
matrix E11RT= 100*e(b)
svy: ratio ne_lsec/age_lsec if SEX==0 & RURURB==2, over(QUINTILE_R_U)
matrix E11U= 100*e(b)
svy: ratio ne_lsec/age_lsec if SEX==0 & RURURB==2
matrix E11UT= 100*e(b)
matrix E11=E11N,E11NT,E11R,E11RT,E11U,E11UT
matrix rowname E11="Female"
matrix list E11

*male
svy: ratio ne_lsec/age_lsec if SEX==1, over(QUINTILE_N)
matrix E12N= 100*e(b)
svy: ratio ne_lsec/age_lsec if SEX==1
matrix E12NT= 100*e(b)
svy: ratio ne_lsec/age_lsec if SEX==1 & RURURB==1, over(QUINTILE_R_U)
matrix E12R= 100*e(b)
svy: ratio ne_lsec/age_lsec if SEX==1 & RURURB==1
matrix E12RT= 100*e(b)
svy: ratio ne_lsec/age_lsec if SEX==1 & RURURB==2, over(QUINTILE_R_U)
matrix E12U= 100*e(b)
svy: ratio ne_lsec/age_lsec if SEX==1 & RURURB==2
matrix E12UT= 100*e(b)
matrix E12=E12N,E12NT,E12R,E12RT,E12U,E12UT
matrix rowname E12="Male"
matrix list E12

*net upper secondary enrollment
*female
svy: ratio ne_usec/age_usec if SEX==0, over(QUINTILE_N)
matrix E13N= 100*e(b)
svy: ratio ne_usec/age_usec if SEX==0
matrix E13NT= 100*e(b)
svy: ratio ne_usec/age_usec if SEX==0 & RURURB==1, over(QUINTILE_R_U)
matrix E13R= 100*e(b)
svy: ratio ne_usec/age_usec if SEX==0 & RURURB==1
matrix E13RT= 100*e(b)
svy: ratio ne_usec/age_usec if SEX==0 & RURURB==2, over(QUINTILE_R_U)
matrix E13U= 100*e(b)
svy: ratio ne_usec/age_usec if SEX==0 & RURURB==2
matrix E13UT= 100*e(b)
matrix E13=E13N,E13NT,E13R,E13RT,E13U,E13UT
matrix rowname E13="Female"
matrix list E13

*male
svy: ratio ne_usec/age_usec if SEX==1, over(QUINTILE_N)
matrix E14N= 100*e(b)
svy: ratio ne_usec/age_usec if SEX==1
matrix E14NT= 100*e(b)
svy: ratio ne_usec/age_usec if SEX==1 & RURURB==1, over(QUINTILE_R_U)
matrix E14R= 100*e(b)
svy: ratio ne_usec/age_usec if SEX==1 & RURURB==1
matrix E14RT= 100*e(b)
svy: ratio ne_usec/age_usec if SEX==1 & RURURB==2, over(QUINTILE_R_U)
matrix E14U= 100*e(b)
svy: ratio ne_usec/age_usec if SEX==1 & RURURB==2
matrix E14UT= 100*e(b)
matrix E14=E14N,E14NT,E14R,E14RT,E14U,E14UT
matrix rowname E14="Male"
matrix list E14
*----------------------------------------------
*youth literacy rate
*FEMALE
gen litracy_Y=0
replace litracy_Y=1 if LITERACY==1 & (AGEY>14 & AGEY<25)
statsmat litracy_Y [aw=WTA_POP] if SEX==0 & (AGEY>14 & AGEY<25) , by (QUINTILE_N) stat(mean)mat(E17N) xpose
statsmat litracy_Y [aw=WTA_POP] if SEX==0 & (AGEY>14 & AGEY<25) , stat(mean)mat(E17NT) xpose
statsmat litracy_Y if RURURB==1 & SEX==0 & (AGEY>14 & AGEY<25) [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(E17R) xpose
statsmat litracy_Y if RURURB==1 & SEX==0 & (AGEY>14 & AGEY<25) [aw=WTA_POP], stat(mean) mat(E17RT) xpose
statsmat litracy_Y if RURURB==2 & SEX==0 & (AGEY>14 & AGEY<25) [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(E17U) xpose
statsmat litracy_Y if RURURB==2 & SEX==0 & (AGEY>14 & AGEY<25) [aw=WTA_POP], stat(mean) mat(E17UT) xpose
matrix E17=E17N,E17NT,E17R,E17RT,E17U,E17UT
matrix E17=100*E17
matrix rowname E17="Females"
matrix list E17
*----------------------------------------------
*youth literacy rate
*MALE
statsmat litracy_Y [aw=WTA_POP] if SEX==1 & (AGEY>14 & AGEY<25) , by (QUINTILE_N) stat(mean)mat(E18N) xpose
statsmat litracy_Y [aw=WTA_POP] if SEX==1 & (AGEY>14 & AGEY<25) , stat(mean)mat(E18NT) xpose
statsmat litracy_Y if RURURB==1 & SEX==1 & (AGEY>14 & AGEY<25) [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(E18R) xpose
statsmat litracy_Y if RURURB==1 & SEX==1 & (AGEY>14 & AGEY<25) [aw=WTA_POP], stat(mean) mat(E18RT) xpose
statsmat litracy_Y if RURURB==2 & SEX==1 & (AGEY>14 & AGEY<25) [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(E18U) xpose
statsmat litracy_Y if RURURB==2 & SEX==1 & (AGEY>14 & AGEY<25) [aw=WTA_POP], stat(mean) mat(E18UT) xpose
matrix E18=E18N,E18NT,E18R,E18RT,E18U,E18UT
matrix E18=100*E18
matrix rowname E18="Males"
matrix list E18
*----------------------------------------------
*distance to health center <5km
gen dis5=inlist(DISHEAL1,1,2,3)
statsmat dis5 [aw=WTA_POP], by (QUINTILE_N) stat(mean)mat(HL1N) xpose
statsmat dis5 [aw=WTA_POP], stat(mean)mat(HL1NT) xpose
statsmat dis5 if RURURB==1 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(HL1R) xpose
statsmat dis5 if RURURB==1 [aw=WTA_POP], stat(mean) mat(HL1RT) xpose
statsmat dis5 if RURURB==2 [aw=WTA_POP], by (QUINTILE_R_U) stat(mean) mat(HL1U) xpose
statsmat dis5 if RURURB==2 [aw=WTA_POP], stat(mean) mat(HL1UT) xpose
matrix HL1=HL1N,HL1NT,HL1R,HL1RT,HL1U,HL1UT
matrix HL1=100*HL1
matrix rowname HL1="Dis to hlth ctr"
matrix list HL1
*----------------------------------------------
*percent claiming sick
gen morbid=inlist(MORBID,1)
statsmat morbid [aw=WTA_HH], by (QUINTILE_N) stat(mean)mat(HL2N) xpose
statsmat morbid [aw=WTA_HH], stat(mean)mat(HL2NT) xpose
statsmat morbid if RURURB==1 [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(HL2R) xpose
statsmat morbid if RURURB==1 [aw=WTA_HH], stat(mean) mat(HL2RT) xpose
statsmat morbid if RURURB==2 [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(HL2U) xpose
statsmat morbid if RURURB==2 [aw=WTA_HH], stat(mean) mat(HL2UT) xpose
matrix HL2=HL2N,HL2NT,HL2R,HL2RT,HL2U,HL2UT
matrix HL2=100*HL2
matrix rowname HL2="claimm sick"
matrix list HL2
*----------------------------------------------
*percent sought medical attention
gen rtreatm=inlist(RTREATM,1)
statsmat rtreatm [aw=WTA_HH] if morbid==1, by (QUINTILE_N) stat(mean)mat(HL3N) xpose
statsmat rtreatm [aw=WTA_HH] if morbid==1, stat(mean)mat(HL3NT) xpose
statsmat rtreatm if RURURB==1 & morbid==1 [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(HL3R) xpose
statsmat rtreatm if RURURB==1 & morbid==1 [aw=WTA_HH], stat(mean) mat(HL3RT) xpose
statsmat rtreatm if RURURB==2 & morbid==1 [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(HL3U) xpose
statsmat rtreatm if RURURB==2 & morbid==1 [aw=WTA_HH], stat(mean) mat(HL3UT) xpose
matrix HL3=HL3N,HL3NT,HL3R,HL3RT,HL3U,HL3UT
matrix HL3=100*HL3
matrix rowname HL3="of which med attn"
matrix list HL3
*----------------------------------------------
*Birth assisted by trained staff
gen trg_staff=inlist(WHDELIV,1)
statsmat trg_staff [aw=WTA_HH] if AGEM<=12, by (QUINTILE_N) stat(mean)mat(HL4N) xpose
statsmat trg_staff [aw=WTA_HH] if AGEM<=12, stat(mean)mat(HL4NT) xpose
statsmat trg_staff if RURURB==1 & AGEM<=12 [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(HL4R) xpose
statsmat trg_staff if RURURB==1 & AGEM<=12 [aw=WTA_HH], stat(mean) mat(HL4RT) xpose
statsmat trg_staff if RURURB==2 & AGEM<=12 [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(HL4U) xpose
statsmat trg_staff if RURURB==2 & AGEM<=12 [aw=WTA_HH], stat(mean) mat(HL4UT) xpose
matrix HL4=HL4N,HL4NT,HL4R,HL4RT,HL4U,HL4UT
matrix HL4=100*HL4
matrix rowname HL4="trained staff delivery"
matrix list HL4
*----------------------------------------------
*percent of 0 to 12 months olds totally immunized
gen vaccine=inlist(VACCINE,1)
statsmat vaccine [aw=WTA_HH] if AGEM<=12, by (QUINTILE_N) stat(mean)mat(HL5N) xpose
statsmat vaccine [aw=WTA_HH] if AGEM<=12, stat(mean)mat(HL5NT) xpose
statsmat vaccine if RURURB==1 & AGEM<=12 [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(HL5R) xpose
statsmat vaccine if RURURB==1 & AGEM<=12 [aw=WTA_HH], stat(mean) mat(HL5RT) xpose
statsmat vaccine if RURURB==2 & AGEM<=12 [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(HL5U) xpose
statsmat vaccine if RURURB==2 & AGEM<=12 [aw=WTA_HH], stat(mean) mat(HL5UT) xpose
matrix HL5=HL5N,HL5NT,HL5R,HL5RT,HL5U,HL5UT
matrix HL5=100*HL5
matrix rowname HL5="total immunization"
matrix list HL5
*----------------------------------------------
*percent of 0 to 12 months olds immunized against measles
gen measles=inlist(MEASLES,1)
statsmat measles [aw=WTA_HH] if AGEM<=12, by (QUINTILE_N) stat(mean)mat(HL6N) xpose
statsmat measles [aw=WTA_HH] if AGEM<=12, stat(mean)mat(HL6NT) xpose
statsmat measles if RURURB==1 & AGEM<=12 [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(HL6R) xpose
statsmat measles if RURURB==1 & AGEM<=12 [aw=WTA_HH], stat(mean) mat(HL6RT) xpose
statsmat measles if RURURB==2 & AGEM<=12 [aw=WTA_HH], by (QUINTILE_R_U) stat(mean) mat(HL6U) xpose
statsmat measles if RURURB==2 & AGEM<=12 [aw=WTA_HH], stat(mean) mat(HL6UT) xpose
matrix HL6=HL6N,HL6NT,HL6R,HL6RT,HL6U,HL6UT
matrix HL6=100*HL6
matrix rowname HL6="immunization, measles"
matrix list HL6
*----------------------------------------------
*VERTICAL CONCATENATION
matrix Blk=J(1,18,.)
*No observations for improved pit latrine, so S3 not generated.
matrix S3=Blk
*No observations for electricity connection, so S5 not generated.
matrix S5=Blk
*No observations for solar/wind connection, so S6 not generated.
matrix S6=Blk
*No observations for water in "other" category, so W3 not generated.
matrix W3=Blk
*No observations for diesel expenditures, so MS10 not generated.
matrix MS10=Blk

*generating the final sheet
matrix D=D1\D2\D3\D4
matrix HH=HH1\HH2\HH3\HH4
matrix HE=HE1\HE2\HE3\HE4\HE5\HE6\HE7\HE8\HE9
matrix L2=Blk
matrix L3=Blk
matrix L4=Blk
matrix L5=Blk
matrix L6=Blk
matrix L7=Blk
matrix L8=Blk
matrix L9=Blk
matrix L10=Blk
matrix L11=Blk
matrix L12=Blk
matrix L13=Blk
matrix L14=Blk
matrix L15=Blk
matrix L16=Blk
matrix L=L1\L2\L3\Blk\Blk\L4\L5\L6\L7\L8\L9\Blk\L10\L11\L12\L13\Blk\L14\L15\L16
matrix P=P1\Blk\Blk
matrix MS=MS1\MS2\MS3\MS4\MS5\MS6\MS7\MS8\MS9\MS10
matrix E=E1\E2\Blk\E3\E4\Blk\E5\E6\Blk\E7\E8\Blk\E9\E10\Blk\E11\E12\Blk\E13\E14\E15\E16\Blk\E17\E18
matrix HL=HL1\HL2\HL3\HL4\HL5\HL6
matrix S=S1\S2\S3\S4\S5\S6
matrix F=F1\F2\F3\F4
matrix W=W1\W2\W3\W4
matrix ISHEET=D\Blk\Blk\HH\Blk\HE\Blk\Blk\L\Blk\Blk\Blk\Blk\Blk\P\Blk\MS\Blk\Blk\E\Blk\HL\Blk\S\Blk\F\Blk\W
*----------------------------------------------
*Exporting to excel
cd "C:\AFRCE\Ethiopia 2004\05_DOC"
mat2txt, matrix(ISHEET) saving (Indicator_ETH_2004_Stata output.xls) replace
S
*----------------------------------------------
*Adding Poverty and inequality estimates manually
cd "C:\AFRCE\Ethiopia 2004\04_AGGDATA"
use ETH_2004_H,clear
*----------------------------------------------
povdeco PCEXP_PPP [aw=WTA_POP], pl(456.25) by (RURURB)
*----------------------------------------------
*gini coefficient, consumption
ineqdeco PCEXP_PPP [aw=WTA_POP], by (RURURB)
*----------------------------------------------
